libmusicbrainz5 5.1.0

Loading...
Searching...
No Matches
mb5_c.h File Reference

Go to the source code of this file.

## Typedefs
typedef void * | Mb5Entity
typedef void * | Mb5Alias
typedef void * | Mb5Annotation
typedef void * | Mb5Artist
typedef void * | Mb5ArtistCredit
typedef void * | Mb5Attribute
typedef void * | Mb5CDStub
typedef void * | Mb5Collection
typedef void * | Mb5Disc
typedef void * | Mb5FreeDBDisc
typedef void * | Mb5IPI
typedef void * | Mb5ISRC
typedef void * | Mb5ISWC
typedef void * | Mb5Label
typedef void * | Mb5LabelInfo
typedef void * | Mb5Lifespan
typedef void * | Mb5Medium
typedef void * | Mb5Message
typedef void * | Mb5Metadata
typedef void * | Mb5NameCredit
typedef void * | Mb5NonMBTrack
typedef void * | Mb5PUID
typedef void * | Mb5Query
typedef void * | Mb5Rating
typedef void * | Mb5Recording
typedef void * | Mb5Relation
typedef void * | Mb5Release
typedef void * | Mb5ReleaseGroup
typedef void * | Mb5SecondaryType
typedef void * | Mb5Tag
typedef void * | Mb5TextRepresentation
typedef void * | Mb5Track
typedef void * | Mb5UserRating
typedef void * | Mb5UserTag
typedef void * | Mb5Work
typedef void * | Mb5AliasList
typedef void * | Mb5AnnotationList
typedef void * | Mb5ArtistList
typedef void * | Mb5AttributeList
typedef void * | Mb5CDStubList
typedef void * | Mb5CollectionList
typedef void * | Mb5DiscList
typedef void * | Mb5FreeDBDiscList
typedef void * | Mb5IPIList
typedef void * | Mb5ISRCList
typedef void * | Mb5ISWCList
typedef void * | Mb5LabelList
typedef void * | Mb5LabelInfoList
typedef void * | Mb5MediumList
typedef void * | Mb5NameCreditList
typedef void * | Mb5NonMBTrackList
typedef void * | Mb5PUIDList
typedef void * | Mb5RecordingList
typedef void * | Mb5RelationList
typedef void * | Mb5RelationListList
typedef void * | Mb5ReleaseList
typedef void * | Mb5ReleaseGroupList
typedef void * | Mb5SecondaryTypeList
typedef void * | Mb5TagList
typedef void * | Mb5TrackList
typedef void * | Mb5UserTagList
typedef void * | Mb5WorkList

## Enumerations
enum | tQueryResult { eQuery_Success =0 , eQuery_ConnectionError , eQuery_Timeout , eQuery_AuthenticationError , eQuery_FetchError , eQuery_RequestError , eQuery_ResourceNotFound }

## Functions
int | mb5_entity_ext_attributes_size (Mb5Entity Entity)
| Returns the number of extension attributes for the entity.
int | mb5_entity_ext_attribute_name (Mb5Entity Entity, int Item, char *str, int len)
| Returns the name of the requested extension attribute.
int | mb5_entity_ext_attribute_value (Mb5Entity Entity, int Item, char *str, int len)
| Returns the value of the requested extension attribute.
int | mb5_entity_ext_elements_size (Mb5Entity Entity)
| Returns the number of extension elements for the entity.
int | mb5_entity_ext_element_name (Mb5Entity Entity, int Item, char *str, int len)
| Returns the name of the requested extension element.
int | mb5_entity_ext_element_value (Mb5Entity Entity, int Item, char *str, int len)
| Returns the value of the requested extension element.
void | mb5_alias_delete (Mb5Alias Alias)
| Delete an Mb5Alias object.
Mb5Alias | mb5_alias_clone (Mb5Alias Alias)
| Clone an Mb5Alias object.
int | mb5_alias_get_locale (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_text (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_sortname (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_type (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_primary (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_begindate (Mb5Alias Alias, char *str, int len)
int | mb5_alias_get_enddate (Mb5Alias Alias, char *str, int len)
void | mb5_annotation_delete (Mb5Annotation Annotation)
| Delete an Mb5Annotation object.
Mb5Annotation | mb5_annotation_clone (Mb5Annotation Annotation)
| Clone an Mb5Annotation object.
int | mb5_annotation_get_type (Mb5Annotation Annotation, char *str, int len)
int | mb5_annotation_get_entity (Mb5Annotation Annotation, char *str, int len)
int | mb5_annotation_get_name (Mb5Annotation Annotation, char *str, int len)
int | mb5_annotation_get_text (Mb5Annotation Annotation, char *str, int len)
void | mb5_artist_delete (Mb5Artist Artist)
| Delete an Mb5Artist object.
Mb5Artist | mb5_artist_clone (Mb5Artist Artist)
| Clone an Mb5Artist object.
int | mb5_artist_get_id (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_type (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_name (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_sortname (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_gender (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_country (Mb5Artist Artist, char *str, int len)
int | mb5_artist_get_disambiguation (Mb5Artist Artist, char *str, int len)
Mb5IPIList | mb5_artist_get_ipilist (Mb5Artist Artist)
Mb5Lifespan | mb5_artist_get_lifespan (Mb5Artist Artist)
Mb5AliasList | mb5_artist_get_aliaslist (Mb5Artist Artist)
Mb5RecordingList | mb5_artist_get_recordinglist (Mb5Artist Artist)
Mb5ReleaseList | mb5_artist_get_releaselist (Mb5Artist Artist)
Mb5ReleaseGroupList | mb5_artist_get_releasegrouplist (Mb5Artist Artist)
Mb5LabelList | mb5_artist_get_labellist (Mb5Artist Artist)
Mb5WorkList | mb5_artist_get_worklist (Mb5Artist Artist)
Mb5RelationListList | mb5_artist_get_relationlistlist (Mb5Artist Artist)
Mb5TagList | mb5_artist_get_taglist (Mb5Artist Artist)
Mb5UserTagList | mb5_artist_get_usertaglist (Mb5Artist Artist)
Mb5Rating | mb5_artist_get_rating (Mb5Artist Artist)
Mb5UserRating | mb5_artist_get_userrating (Mb5Artist Artist)
void | mb5_artistcredit_delete (Mb5ArtistCredit ArtistCredit)
| Delete an Mb5ArtistCredit object.
Mb5ArtistCredit | mb5_artistcredit_clone (Mb5ArtistCredit ArtistCredit)
| Clone an Mb5ArtistCredit object.
Mb5NameCreditList | mb5_artistcredit_get_namecreditlist (Mb5ArtistCredit ArtistCredit)
void | mb5_attribute_delete (Mb5Attribute Attribute)
| Delete an Mb5Attribute object.
Mb5Attribute | mb5_attribute_clone (Mb5Attribute Attribute)
| Clone an Mb5Attribute object.
int | mb5_attribute_get_text (Mb5Attribute Attribute, char *str, int len)
void | mb5_cdstub_delete (Mb5CDStub CDStub)
| Delete an Mb5CDStub object.
Mb5CDStub | mb5_cdstub_clone (Mb5CDStub CDStub)
| Clone an Mb5CDStub object.
int | mb5_cdstub_get_id (Mb5CDStub CDStub, char *str, int len)
int | mb5_cdstub_get_title (Mb5CDStub CDStub, char *str, int len)
int | mb5_cdstub_get_artist (Mb5CDStub CDStub, char *str, int len)
int | mb5_cdstub_get_barcode (Mb5CDStub CDStub, char *str, int len)
int | mb5_cdstub_get_comment (Mb5CDStub CDStub, char *str, int len)
Mb5NonMBTrackList | mb5_cdstub_get_nonmbtracklist (Mb5CDStub CDStub)
void | mb5_collection_delete (Mb5Collection Collection)
| Delete an Mb5Collection object.
Mb5Collection | mb5_collection_clone (Mb5Collection Collection)
| Clone an Mb5Collection object.
int | mb5_collection_get_id (Mb5Collection Collection, char *str, int len)
int | mb5_collection_get_name (Mb5Collection Collection, char *str, int len)
int | mb5_collection_get_editor (Mb5Collection Collection, char *str, int len)
Mb5ReleaseList | mb5_collection_get_releaselist (Mb5Collection Collection)
void | mb5_disc_delete (Mb5Disc Disc)
| Delete an Mb5Disc object.
Mb5Disc | mb5_disc_clone (Mb5Disc Disc)
| Clone an Mb5Disc object.
int | mb5_disc_get_id (Mb5Disc Disc, char *str, int len)
int | mb5_disc_get_sectors (Mb5Disc Disc)
Mb5ReleaseList | mb5_disc_get_releaselist (Mb5Disc Disc)
void | mb5_freedbdisc_delete (Mb5FreeDBDisc FreeDBDisc)
| Delete an Mb5FreeDBDisc object.
Mb5FreeDBDisc | mb5_freedbdisc_clone (Mb5FreeDBDisc FreeDBDisc)
| Clone an Mb5FreeDBDisc object.
int | mb5_freedbdisc_get_id (Mb5FreeDBDisc FreeDBDisc, char *str, int len)
int | mb5_freedbdisc_get_title (Mb5FreeDBDisc FreeDBDisc, char *str, int len)
int | mb5_freedbdisc_get_artist (Mb5FreeDBDisc FreeDBDisc, char *str, int len)
int | mb5_freedbdisc_get_category (Mb5FreeDBDisc FreeDBDisc, char *str, int len)
int | mb5_freedbdisc_get_year (Mb5FreeDBDisc FreeDBDisc, char *str, int len)
Mb5NonMBTrackList | mb5_freedbdisc_get_nonmbtracklist (Mb5FreeDBDisc FreeDBDisc)
void | mb5_ipi_delete (Mb5IPI IPI)
| Delete an Mb5IPI object.
Mb5IPI | mb5_ipi_clone (Mb5IPI IPI)
| Clone an Mb5IPI object.
int | mb5_ipi_get_ipi (Mb5IPI IPI, char *str, int len)
void | mb5_isrc_delete (Mb5ISRC ISRC)
| Delete an Mb5ISRC object.
Mb5ISRC | mb5_isrc_clone (Mb5ISRC ISRC)
| Clone an Mb5ISRC object.
int | mb5_isrc_get_id (Mb5ISRC ISRC, char *str, int len)
Mb5RecordingList | mb5_isrc_get_recordinglist (Mb5ISRC ISRC)
void | mb5_iswc_delete (Mb5ISWC ISWC)
| Delete an Mb5ISWC object.
Mb5ISWC | mb5_iswc_clone (Mb5ISWC ISWC)
| Clone an Mb5ISWC object.
int | mb5_iswc_get_iswc (Mb5ISWC ISWC, char *str, int len)
void | mb5_label_delete (Mb5Label Label)
| Delete an Mb5Label object.
Mb5Label | mb5_label_clone (Mb5Label Label)
| Clone an Mb5Label object.
int | mb5_label_get_id (Mb5Label Label, char *str, int len)
int | mb5_label_get_type (Mb5Label Label, char *str, int len)
int | mb5_label_get_name (Mb5Label Label, char *str, int len)
int | mb5_label_get_sortname (Mb5Label Label, char *str, int len)
int | mb5_label_get_labelcode (Mb5Label Label)
Mb5IPIList | mb5_label_get_ipilist (Mb5Label Label)
int | mb5_label_get_disambiguation (Mb5Label Label, char *str, int len)
int | mb5_label_get_country (Mb5Label Label, char *str, int len)
Mb5Lifespan | mb5_label_get_lifespan (Mb5Label Label)
Mb5AliasList | mb5_label_get_aliaslist (Mb5Label Label)
Mb5ReleaseList | mb5_label_get_releaselist (Mb5Label Label)
Mb5RelationListList | mb5_label_get_relationlistlist (Mb5Label Label)
Mb5TagList | mb5_label_get_taglist (Mb5Label Label)
Mb5UserTagList | mb5_label_get_usertaglist (Mb5Label Label)
Mb5Rating | mb5_label_get_rating (Mb5Label Label)
Mb5UserRating | mb5_label_get_userrating (Mb5Label Label)
void | mb5_labelinfo_delete (Mb5LabelInfo LabelInfo)
| Delete an Mb5LabelInfo object.
Mb5LabelInfo | mb5_labelinfo_clone (Mb5LabelInfo LabelInfo)
| Clone an Mb5LabelInfo object.
int | mb5_labelinfo_get_catalognumber (Mb5LabelInfo LabelInfo, char *str, int len)
Mb5Label | mb5_labelinfo_get_label (Mb5LabelInfo LabelInfo)
void | mb5_lifespan_delete (Mb5Lifespan Lifespan)
| Delete an Mb5Lifespan object.
Mb5Lifespan | mb5_lifespan_clone (Mb5Lifespan Lifespan)
| Clone an Mb5Lifespan object.
int | mb5_lifespan_get_begin (Mb5Lifespan Lifespan, char *str, int len)
int | mb5_lifespan_get_end (Mb5Lifespan Lifespan, char *str, int len)
int | mb5_lifespan_get_ended (Mb5Lifespan Lifespan, char *str, int len)
void | mb5_medium_delete (Mb5Medium Medium)
| Delete an Mb5Medium object.
Mb5Medium | mb5_medium_clone (Mb5Medium Medium)
| Clone an Mb5Medium object.
int | mb5_medium_get_title (Mb5Medium Medium, char *str, int len)
int | mb5_medium_get_position (Mb5Medium Medium)
int | mb5_medium_get_format (Mb5Medium Medium, char *str, int len)
Mb5DiscList | mb5_medium_get_disclist (Mb5Medium Medium)
Mb5TrackList | mb5_medium_get_tracklist (Mb5Medium Medium)
unsigned char | mb5_medium_contains_discid (Mb5Medium Medium, const char *DiscID)
void | mb5_message_delete (Mb5Message Message)
| Delete an Mb5Message object.
Mb5Message | mb5_message_clone (Mb5Message Message)
| Clone an Mb5Message object.
int | mb5_message_get_text (Mb5Message Message, char *str, int len)
void | mb5_metadata_delete (Mb5Metadata Metadata)
| Delete an Mb5Metadata object.
Mb5Metadata | mb5_metadata_clone (Mb5Metadata Metadata)
| Clone an Mb5Metadata object.
int | mb5_metadata_get_xmlns (Mb5Metadata Metadata, char *str, int len)
int | mb5_metadata_get_xmlnsext (Mb5Metadata Metadata, char *str, int len)
int | mb5_metadata_get_generator (Mb5Metadata Metadata, char *str, int len)
int | mb5_metadata_get_created (Mb5Metadata Metadata, char *str, int len)
Mb5Artist | mb5_metadata_get_artist (Mb5Metadata Metadata)
Mb5Release | mb5_metadata_get_release (Mb5Metadata Metadata)
Mb5ReleaseGroup | mb5_metadata_get_releasegroup (Mb5Metadata Metadata)
Mb5Recording | mb5_metadata_get_recording (Mb5Metadata Metadata)
Mb5Label | mb5_metadata_get_label (Mb5Metadata Metadata)
Mb5Work | mb5_metadata_get_work (Mb5Metadata Metadata)
Mb5PUID | mb5_metadata_get_puid (Mb5Metadata Metadata)
Mb5ISRC | mb5_metadata_get_isrc (Mb5Metadata Metadata)
Mb5Disc | mb5_metadata_get_disc (Mb5Metadata Metadata)
Mb5LabelInfoList | mb5_metadata_get_labelinfolist (Mb5Metadata Metadata)
Mb5Rating | mb5_metadata_get_rating (Mb5Metadata Metadata)
Mb5UserRating | mb5_metadata_get_userrating (Mb5Metadata Metadata)
Mb5Collection | mb5_metadata_get_collection (Mb5Metadata Metadata)
Mb5ArtistList | mb5_metadata_get_artistlist (Mb5Metadata Metadata)
Mb5ReleaseList | mb5_metadata_get_releaselist (Mb5Metadata Metadata)
Mb5ReleaseGroupList | mb5_metadata_get_releasegrouplist (Mb5Metadata Metadata)
Mb5RecordingList | mb5_metadata_get_recordinglist (Mb5Metadata Metadata)
Mb5LabelList | mb5_metadata_get_labellist (Mb5Metadata Metadata)
Mb5WorkList | mb5_metadata_get_worklist (Mb5Metadata Metadata)
Mb5ISRCList | mb5_metadata_get_isrclist (Mb5Metadata Metadata)
Mb5AnnotationList | mb5_metadata_get_annotationlist (Mb5Metadata Metadata)
Mb5CDStubList | mb5_metadata_get_cdstublist (Mb5Metadata Metadata)
Mb5FreeDBDiscList | mb5_metadata_get_freedbdisclist (Mb5Metadata Metadata)
Mb5TagList | mb5_metadata_get_taglist (Mb5Metadata Metadata)
Mb5UserTagList | mb5_metadata_get_usertaglist (Mb5Metadata Metadata)
Mb5CollectionList | mb5_metadata_get_collectionlist (Mb5Metadata Metadata)
Mb5CDStub | mb5_metadata_get_cdstub (Mb5Metadata Metadata)
Mb5Message | mb5_metadata_get_message (Mb5Metadata Metadata)
void | mb5_namecredit_delete (Mb5NameCredit NameCredit)
| Delete an Mb5NameCredit object.
Mb5NameCredit | mb5_namecredit_clone (Mb5NameCredit NameCredit)
| Clone an Mb5NameCredit object.
int | mb5_namecredit_get_joinphrase (Mb5NameCredit NameCredit, char *str, int len)
int | mb5_namecredit_get_name (Mb5NameCredit NameCredit, char *str, int len)
Mb5Artist | mb5_namecredit_get_artist (Mb5NameCredit NameCredit)
void | mb5_nonmbtrack_delete (Mb5NonMBTrack NonMBTrack)
| Delete an Mb5NonMBTrack object.
Mb5NonMBTrack | mb5_nonmbtrack_clone (Mb5NonMBTrack NonMBTrack)
| Clone an Mb5NonMBTrack object.
int | mb5_nonmbtrack_get_title (Mb5NonMBTrack NonMBTrack, char *str, int len)
int | mb5_nonmbtrack_get_artist (Mb5NonMBTrack NonMBTrack, char *str, int len)
int | mb5_nonmbtrack_get_length (Mb5NonMBTrack NonMBTrack)
void | mb5_puid_delete (Mb5PUID PUID)
| Delete an Mb5PUID object.
Mb5PUID | mb5_puid_clone (Mb5PUID PUID)
| Clone an Mb5PUID object.
int | mb5_puid_get_id (Mb5PUID PUID, char *str, int len)
Mb5RecordingList | mb5_puid_get_recordinglist (Mb5PUID PUID)
void | mb5_query_delete (Mb5Query Query)
| Delete an Mb5Query object.
Mb5Query | mb5_query_clone (Mb5Query Query)
| Clone an Mb5Query object.
int | mb5_query_get_lasthttpcode (Mb5Query Query)
int | mb5_query_get_lasterrormessage (Mb5Query Query, char *str, int len)
int | mb5_query_get_version (Mb5Query Query, char *str, int len)
Mb5Query | mb5_query_new (const char *UserAgent, const char *Server, int Port)
| Create a new instance of Mb5Query.
void | mb5_query_set_username (Mb5Query Query, const char *UserName)
| Set the username for authenticating to MusicBrainz.
void | mb5_query_set_password (Mb5Query Query, const char *Password)
| Set the password for authenticating to MusicBrainz.
void | mb5_query_set_proxyhost (Mb5Query Query, const char *ProxyHost)
| Set the proxy server.
void | mb5_query_set_proxyport (Mb5Query Query, int ProxyPort)
| Set the port to use on the proxy server.
void | mb5_query_set_proxyusername (Mb5Query Query, const char *ProxyUserName)
| Set the username to use to authenticate to the proxy server.
void | mb5_query_set_proxypassword (Mb5Query Query, const char *ProxyPassword)
| Set the password to use to authenticate to the proxy server.
Mb5ReleaseList | mb5_query_lookup_discid (Mb5Query Query, const char *DiscID)
| Return a list of releases that match the specified Disc ID.
Mb5Release | mb5_query_lookup_release (Mb5Query Query, const char *Release)
| Return full information about a specific release.
Mb5Metadata | mb5_query_query (Mb5Query Query, const char *Entity, const char *ID, const char *Resource, int NumParams, char **ParamNames, char **ParamValues)
| Perform a generic query.
unsigned char | mb5_query_add_collection_entries (Mb5Query Query, const char *Collection, int NumEntries, const char **Entries)
| Add a list of releases to a collection.
unsigned char | mb5_query_delete_collection_entries (Mb5Query Query, const char *Collection, int NumEntries, const char **Entries)
| Delete a list of releases from a collection.
tQueryResult | mb5_query_get_lastresult (Mb5Query Query)
void | mb5_rating_delete (Mb5Rating Rating)
| Delete an Mb5Rating object.
Mb5Rating | mb5_rating_clone (Mb5Rating Rating)
| Clone an Mb5Rating object.
int | mb5_rating_get_votescount (Mb5Rating Rating)
double | mb5_rating_get_rating (Mb5Rating Rating)
void | mb5_recording_delete (Mb5Recording Recording)
| Delete an Mb5Recording object.
Mb5Recording | mb5_recording_clone (Mb5Recording Recording)
| Clone an Mb5Recording object.
int | mb5_recording_get_id (Mb5Recording Recording, char *str, int len)
int | mb5_recording_get_title (Mb5Recording Recording, char *str, int len)
int | mb5_recording_get_length (Mb5Recording Recording)
int | mb5_recording_get_disambiguation (Mb5Recording Recording, char *str, int len)
Mb5ArtistCredit | mb5_recording_get_artistcredit (Mb5Recording Recording)
Mb5ReleaseList | mb5_recording_get_releaselist (Mb5Recording Recording)
Mb5PUIDList | mb5_recording_get_puidlist (Mb5Recording Recording)
Mb5ISRCList | mb5_recording_get_isrclist (Mb5Recording Recording)
Mb5RelationListList | mb5_recording_get_relationlistlist (Mb5Recording Recording)
Mb5TagList | mb5_recording_get_taglist (Mb5Recording Recording)
Mb5UserTagList | mb5_recording_get_usertaglist (Mb5Recording Recording)
Mb5Rating | mb5_recording_get_rating (Mb5Recording Recording)
Mb5UserRating | mb5_recording_get_userrating (Mb5Recording Recording)
void | mb5_relation_delete (Mb5Relation Relation)
| Delete an Mb5Relation object.
Mb5Relation | mb5_relation_clone (Mb5Relation Relation)
| Clone an Mb5Relation object.
int | mb5_relation_get_type (Mb5Relation Relation, char *str, int len)
int | mb5_relation_get_target (Mb5Relation Relation, char *str, int len)
int | mb5_relation_get_direction (Mb5Relation Relation, char *str, int len)
Mb5AttributeList | mb5_relation_get_attributelist (Mb5Relation Relation)
int | mb5_relation_get_begin (Mb5Relation Relation, char *str, int len)
int | mb5_relation_get_end (Mb5Relation Relation, char *str, int len)
int | mb5_relation_get_ended (Mb5Relation Relation, char *str, int len)
Mb5Artist | mb5_relation_get_artist (Mb5Relation Relation)
Mb5Release | mb5_relation_get_release (Mb5Relation Relation)
Mb5ReleaseGroup | mb5_relation_get_releasegroup (Mb5Relation Relation)
Mb5Recording | mb5_relation_get_recording (Mb5Relation Relation)
Mb5Label | mb5_relation_get_label (Mb5Relation Relation)
Mb5Work | mb5_relation_get_work (Mb5Relation Relation)
void | mb5_release_delete (Mb5Release Release)
| Delete an Mb5Release object.
Mb5Release | mb5_release_clone (Mb5Release Release)
| Clone an Mb5Release object.
int | mb5_release_get_id (Mb5Release Release, char *str, int len)
int | mb5_release_get_title (Mb5Release Release, char *str, int len)
int | mb5_release_get_status (Mb5Release Release, char *str, int len)
int | mb5_release_get_quality (Mb5Release Release, char *str, int len)
int | mb5_release_get_disambiguation (Mb5Release Release, char *str, int len)
int | mb5_release_get_packaging (Mb5Release Release, char *str, int len)
Mb5TextRepresentation | mb5_release_get_textrepresentation (Mb5Release Release)
Mb5ArtistCredit | mb5_release_get_artistcredit (Mb5Release Release)
Mb5ReleaseGroup | mb5_release_get_releasegroup (Mb5Release Release)
int | mb5_release_get_date (Mb5Release Release, char *str, int len)
int | mb5_release_get_country (Mb5Release Release, char *str, int len)
int | mb5_release_get_barcode (Mb5Release Release, char *str, int len)
int | mb5_release_get_asin (Mb5Release Release, char *str, int len)
Mb5LabelInfoList | mb5_release_get_labelinfolist (Mb5Release Release)
Mb5MediumList | mb5_release_get_mediumlist (Mb5Release Release)
Mb5RelationListList | mb5_release_get_relationlistlist (Mb5Release Release)
Mb5CollectionList | mb5_release_get_collectionlist (Mb5Release Release)
Mb5MediumList | mb5_release_media_matching_discid (Mb5Release Release, const char *DiscID)
void | mb5_releasegroup_delete (Mb5ReleaseGroup ReleaseGroup)
| Delete an Mb5ReleaseGroup object.
Mb5ReleaseGroup | mb5_releasegroup_clone (Mb5ReleaseGroup ReleaseGroup)
| Clone an Mb5ReleaseGroup object.
int | mb5_releasegroup_get_id (Mb5ReleaseGroup ReleaseGroup, char *str, int len)
int | mb5_releasegroup_get_primarytype (Mb5ReleaseGroup ReleaseGroup, char *str, int len)
int | mb5_releasegroup_get_title (Mb5ReleaseGroup ReleaseGroup, char *str, int len)
int | mb5_releasegroup_get_disambiguation (Mb5ReleaseGroup ReleaseGroup, char *str, int len)
int | mb5_releasegroup_get_firstreleasedate (Mb5ReleaseGroup ReleaseGroup, char *str, int len)
Mb5ArtistCredit | mb5_releasegroup_get_artistcredit (Mb5ReleaseGroup ReleaseGroup)
Mb5ReleaseList | mb5_releasegroup_get_releaselist (Mb5ReleaseGroup ReleaseGroup)
Mb5RelationListList | mb5_releasegroup_get_relationlistlist (Mb5ReleaseGroup ReleaseGroup)
Mb5TagList | mb5_releasegroup_get_taglist (Mb5ReleaseGroup ReleaseGroup)
Mb5UserTagList | mb5_releasegroup_get_usertaglist (Mb5ReleaseGroup ReleaseGroup)
Mb5Rating | mb5_releasegroup_get_rating (Mb5ReleaseGroup ReleaseGroup)
Mb5UserRating | mb5_releasegroup_get_userrating (Mb5ReleaseGroup ReleaseGroup)
Mb5SecondaryTypeList | mb5_releasegroup_get_secondarytypelist (Mb5ReleaseGroup ReleaseGroup)
void | mb5_secondarytype_delete (Mb5SecondaryType SecondaryType)
| Delete an Mb5SecondaryType object.
Mb5SecondaryType | mb5_secondarytype_clone (Mb5SecondaryType SecondaryType)
| Clone an Mb5SecondaryType object.
int | mb5_secondarytype_get_secondarytype (Mb5SecondaryType SecondaryType, char *str, int len)
void | mb5_tag_delete (Mb5Tag Tag)
| Delete an Mb5Tag object.
Mb5Tag | mb5_tag_clone (Mb5Tag Tag)
| Clone an Mb5Tag object.
int | mb5_tag_get_count (Mb5Tag Tag)
int | mb5_tag_get_name (Mb5Tag Tag, char *str, int len)
void | mb5_textrepresentation_delete (Mb5TextRepresentation TextRepresentation)
| Delete an Mb5TextRepresentation object.
Mb5TextRepresentation | mb5_textrepresentation_clone (Mb5TextRepresentation TextRepresentation)
| Clone an Mb5TextRepresentation object.
int | mb5_textrepresentation_get_language (Mb5TextRepresentation TextRepresentation, char *str, int len)
int | mb5_textrepresentation_get_script (Mb5TextRepresentation TextRepresentation, char *str, int len)
void | mb5_track_delete (Mb5Track Track)
| Delete an Mb5Track object.
Mb5Track | mb5_track_clone (Mb5Track Track)
| Clone an Mb5Track object.
int | mb5_track_get_position (Mb5Track Track)
int | mb5_track_get_title (Mb5Track Track, char *str, int len)
Mb5Recording | mb5_track_get_recording (Mb5Track Track)
int | mb5_track_get_length (Mb5Track Track)
Mb5ArtistCredit | mb5_track_get_artistcredit (Mb5Track Track)
int | mb5_track_get_number (Mb5Track Track, char *str, int len)
void | mb5_userrating_delete (Mb5UserRating UserRating)
| Delete an Mb5UserRating object.
Mb5UserRating | mb5_userrating_clone (Mb5UserRating UserRating)
| Clone an Mb5UserRating object.
int | mb5_userrating_get_userrating (Mb5UserRating UserRating)
void | mb5_usertag_delete (Mb5UserTag UserTag)
| Delete an Mb5UserTag object.
Mb5UserTag | mb5_usertag_clone (Mb5UserTag UserTag)
| Clone an Mb5UserTag object.
int | mb5_usertag_get_name (Mb5UserTag UserTag, char *str, int len)
void | mb5_work_delete (Mb5Work Work)
| Delete an Mb5Work object.
Mb5Work | mb5_work_clone (Mb5Work Work)
| Clone an Mb5Work object.
int | mb5_work_get_id (Mb5Work Work, char *str, int len)
int | mb5_work_get_type (Mb5Work Work, char *str, int len)
int | mb5_work_get_title (Mb5Work Work, char *str, int len)
Mb5ArtistCredit | mb5_work_get_artistcredit (Mb5Work Work)
Mb5ISWCList | mb5_work_get_iswclist (Mb5Work Work)
int | mb5_work_get_disambiguation (Mb5Work Work, char *str, int len)
Mb5AliasList | mb5_work_get_aliaslist (Mb5Work Work)
Mb5RelationListList | mb5_work_get_relationlistlist (Mb5Work Work)
Mb5TagList | mb5_work_get_taglist (Mb5Work Work)
Mb5UserTagList | mb5_work_get_usertaglist (Mb5Work Work)
Mb5Rating | mb5_work_get_rating (Mb5Work Work)
Mb5UserRating | mb5_work_get_userrating (Mb5Work Work)
int | mb5_work_get_language (Mb5Work Work, char *str, int len)
void | mb5_alias_list_delete (Mb5AliasList List)
| Delete a Mb5AliasList.
int | mb5_alias_list_size (Mb5AliasList List)
| Return the number of entries in a Mb5AliasList.
Mb5Alias | mb5_alias_list_item (Mb5AliasList List, int Item)
| Returns an entry from a Mb5AliasList.
int | mb5_alias_list_get_count (Mb5AliasList List)
| Return the count of entries in an Mb5AliasList.
int | mb5_alias_list_get_offset (Mb5AliasList List)
| Return the offset of entries in an Mb5AliasList.
Mb5AliasList | mb5_alias_list_clone (Mb5AliasList AliasList)
| Clone an Mb5AliasList object.
void | mb5_annotation_list_delete (Mb5AnnotationList List)
| Delete a Mb5AnnotationList.
int | mb5_annotation_list_size (Mb5AnnotationList List)
| Return the number of entries in a Mb5AnnotationList.
Mb5Annotation | mb5_annotation_list_item (Mb5AnnotationList List, int Item)
| Returns an entry from a Mb5AnnotationList.
int | mb5_annotation_list_get_count (Mb5AnnotationList List)
| Return the count of entries in an Mb5AnnotationList.
int | mb5_annotation_list_get_offset (Mb5AnnotationList List)
| Return the offset of entries in an Mb5AnnotationList.
Mb5AnnotationList | mb5_annotation_list_clone (Mb5AnnotationList AnnotationList)
| Clone an Mb5AnnotationList object.
void | mb5_artist_list_delete (Mb5ArtistList List)
| Delete a Mb5ArtistList.
int | mb5_artist_list_size (Mb5ArtistList List)
| Return the number of entries in a Mb5ArtistList.
Mb5Artist | mb5_artist_list_item (Mb5ArtistList List, int Item)
| Returns an entry from a Mb5ArtistList.
int | mb5_artist_list_get_count (Mb5ArtistList List)
| Return the count of entries in an Mb5ArtistList.
int | mb5_artist_list_get_offset (Mb5ArtistList List)
| Return the offset of entries in an Mb5ArtistList.
Mb5ArtistList | mb5_artist_list_clone (Mb5ArtistList ArtistList)
| Clone an Mb5ArtistList object.
void | mb5_attribute_list_delete (Mb5AttributeList List)
| Delete a Mb5AttributeList.
int | mb5_attribute_list_size (Mb5AttributeList List)
| Return the number of entries in a Mb5AttributeList.
Mb5Attribute | mb5_attribute_list_item (Mb5AttributeList List, int Item)
| Returns an entry from a Mb5AttributeList.
int | mb5_attribute_list_get_count (Mb5AttributeList List)
| Return the count of entries in an Mb5AttributeList.
int | mb5_attribute_list_get_offset (Mb5AttributeList List)
| Return the offset of entries in an Mb5AttributeList.
Mb5AttributeList | mb5_attribute_list_clone (Mb5AttributeList AttributeList)
| Clone an Mb5AttributeList object.
void | mb5_cdstub_list_delete (Mb5CDStubList List)
| Delete a Mb5CDStubList.
int | mb5_cdstub_list_size (Mb5CDStubList List)
| Return the number of entries in a Mb5CDStubList.
Mb5CDStub | mb5_cdstub_list_item (Mb5CDStubList List, int Item)
| Returns an entry from a Mb5CDStubList.
int | mb5_cdstub_list_get_count (Mb5CDStubList List)
| Return the count of entries in an Mb5CDStubList.
int | mb5_cdstub_list_get_offset (Mb5CDStubList List)
| Return the offset of entries in an Mb5CDStubList.
Mb5CDStubList | mb5_cdstub_list_clone (Mb5CDStubList CDStubList)
| Clone an Mb5CDStubList object.
void | mb5_collection_list_delete (Mb5CollectionList List)
| Delete a Mb5CollectionList.
int | mb5_collection_list_size (Mb5CollectionList List)
| Return the number of entries in a Mb5CollectionList.
Mb5Collection | mb5_collection_list_item (Mb5CollectionList List, int Item)
| Returns an entry from a Mb5CollectionList.
int | mb5_collection_list_get_count (Mb5CollectionList List)
| Return the count of entries in an Mb5CollectionList.
int | mb5_collection_list_get_offset (Mb5CollectionList List)
| Return the offset of entries in an Mb5CollectionList.
Mb5CollectionList | mb5_collection_list_clone (Mb5CollectionList CollectionList)
| Clone an Mb5CollectionList object.
void | mb5_disc_list_delete (Mb5DiscList List)
| Delete a Mb5DiscList.
int | mb5_disc_list_size (Mb5DiscList List)
| Return the number of entries in a Mb5DiscList.
Mb5Disc | mb5_disc_list_item (Mb5DiscList List, int Item)
| Returns an entry from a Mb5DiscList.
int | mb5_disc_list_get_count (Mb5DiscList List)
| Return the count of entries in an Mb5DiscList.
int | mb5_disc_list_get_offset (Mb5DiscList List)
| Return the offset of entries in an Mb5DiscList.
Mb5DiscList | mb5_disc_list_clone (Mb5DiscList DiscList)
| Clone an Mb5DiscList object.
void | mb5_freedbdisc_list_delete (Mb5FreeDBDiscList List)
| Delete a Mb5FreeDBDiscList.
int | mb5_freedbdisc_list_size (Mb5FreeDBDiscList List)
| Return the number of entries in a Mb5FreeDBDiscList.
Mb5FreeDBDisc | mb5_freedbdisc_list_item (Mb5FreeDBDiscList List, int Item)
| Returns an entry from a Mb5FreeDBDiscList.
int | mb5_freedbdisc_list_get_count (Mb5FreeDBDiscList List)
| Return the count of entries in an Mb5FreeDBDiscList.
int | mb5_freedbdisc_list_get_offset (Mb5FreeDBDiscList List)
| Return the offset of entries in an Mb5FreeDBDiscList.
Mb5FreeDBDiscList | mb5_freedbdisc_list_clone (Mb5FreeDBDiscList FreeDBDiscList)
| Clone an Mb5FreeDBDiscList object.
void | mb5_ipi_list_delete (Mb5IPIList List)
| Delete a Mb5IPIList.
int | mb5_ipi_list_size (Mb5IPIList List)
| Return the number of entries in a Mb5IPIList.
Mb5IPI | mb5_ipi_list_item (Mb5IPIList List, int Item)
| Returns an entry from a Mb5IPIList.
int | mb5_ipi_list_get_count (Mb5IPIList List)
| Return the count of entries in an Mb5IPIList.
int | mb5_ipi_list_get_offset (Mb5IPIList List)
| Return the offset of entries in an Mb5IPIList.
Mb5IPIList | mb5_ipi_list_clone (Mb5IPIList IPIList)
| Clone an Mb5IPIList object.
void | mb5_isrc_list_delete (Mb5ISRCList List)
| Delete a Mb5ISRCList.
int | mb5_isrc_list_size (Mb5ISRCList List)
| Return the number of entries in a Mb5ISRCList.
Mb5ISRC | mb5_isrc_list_item (Mb5ISRCList List, int Item)
| Returns an entry from a Mb5ISRCList.
int | mb5_isrc_list_get_count (Mb5ISRCList List)
| Return the count of entries in an Mb5ISRCList.
int | mb5_isrc_list_get_offset (Mb5ISRCList List)
| Return the offset of entries in an Mb5ISRCList.
Mb5ISRCList | mb5_isrc_list_clone (Mb5ISRCList ISRCList)
| Clone an Mb5ISRCList object.
void | mb5_iswc_list_delete (Mb5ISWCList List)
| Delete a Mb5ISWCList.
int | mb5_iswc_list_size (Mb5ISWCList List)
| Return the number of entries in a Mb5ISWCList.
Mb5ISWC | mb5_iswc_list_item (Mb5ISWCList List, int Item)
| Returns an entry from a Mb5ISWCList.
int | mb5_iswc_list_get_count (Mb5ISWCList List)
| Return the count of entries in an Mb5ISWCList.
int | mb5_iswc_list_get_offset (Mb5ISWCList List)
| Return the offset of entries in an Mb5ISWCList.
Mb5ISWCList | mb5_iswc_list_clone (Mb5ISWCList ISWCList)
| Clone an Mb5ISWCList object.
void | mb5_label_list_delete (Mb5LabelList List)
| Delete a Mb5LabelList.
int | mb5_label_list_size (Mb5LabelList List)
| Return the number of entries in a Mb5LabelList.
Mb5Label | mb5_label_list_item (Mb5LabelList List, int Item)
| Returns an entry from a Mb5LabelList.
int | mb5_label_list_get_count (Mb5LabelList List)
| Return the count of entries in an Mb5LabelList.
int | mb5_label_list_get_offset (Mb5LabelList List)
| Return the offset of entries in an Mb5LabelList.
Mb5LabelList | mb5_label_list_clone (Mb5LabelList LabelList)
| Clone an Mb5LabelList object.
void | mb5_labelinfo_list_delete (Mb5LabelInfoList List)
| Delete a Mb5LabelInfoList.
int | mb5_labelinfo_list_size (Mb5LabelInfoList List)
| Return the number of entries in a Mb5LabelInfoList.
Mb5LabelInfo | mb5_labelinfo_list_item (Mb5LabelInfoList List, int Item)
| Returns an entry from a Mb5LabelInfoList.
int | mb5_labelinfo_list_get_count (Mb5LabelInfoList List)
| Return the count of entries in an Mb5LabelInfoList.
int | mb5_labelinfo_list_get_offset (Mb5LabelInfoList List)
| Return the offset of entries in an Mb5LabelInfoList.
Mb5LabelInfoList | mb5_labelinfo_list_clone (Mb5LabelInfoList LabelInfoList)
| Clone an Mb5LabelInfoList object.
void | mb5_medium_list_delete (Mb5MediumList List)
| Delete a Mb5MediumList.
int | mb5_medium_list_size (Mb5MediumList List)
| Return the number of entries in a Mb5MediumList.
Mb5Medium | mb5_medium_list_item (Mb5MediumList List, int Item)
| Returns an entry from a Mb5MediumList.
int | mb5_medium_list_get_count (Mb5MediumList List)
| Return the count of entries in an Mb5MediumList.
int | mb5_medium_list_get_offset (Mb5MediumList List)
| Return the offset of entries in an Mb5MediumList.
Mb5MediumList | mb5_medium_list_clone (Mb5MediumList MediumList)
| Clone an Mb5MediumList object.
int | mb5_medium_list_get_trackcount (Mb5MediumList List)
void | mb5_namecredit_list_delete (Mb5NameCreditList List)
| Delete a Mb5NameCreditList.
int | mb5_namecredit_list_size (Mb5NameCreditList List)
| Return the number of entries in a Mb5NameCreditList.
Mb5NameCredit | mb5_namecredit_list_item (Mb5NameCreditList List, int Item)
| Returns an entry from a Mb5NameCreditList.
int | mb5_namecredit_list_get_count (Mb5NameCreditList List)
| Return the count of entries in an Mb5NameCreditList.
int | mb5_namecredit_list_get_offset (Mb5NameCreditList List)
| Return the offset of entries in an Mb5NameCreditList.
Mb5NameCreditList | mb5_namecredit_list_clone (Mb5NameCreditList NameCreditList)
| Clone an Mb5NameCreditList object.
void | mb5_nonmbtrack_list_delete (Mb5NonMBTrackList List)
| Delete a Mb5NonMBTrackList.
int | mb5_nonmbtrack_list_size (Mb5NonMBTrackList List)
| Return the number of entries in a Mb5NonMBTrackList.
Mb5NonMBTrack | mb5_nonmbtrack_list_item (Mb5NonMBTrackList List, int Item)
| Returns an entry from a Mb5NonMBTrackList.
int | mb5_nonmbtrack_list_get_count (Mb5NonMBTrackList List)
| Return the count of entries in an Mb5NonMBTrackList.
int | mb5_nonmbtrack_list_get_offset (Mb5NonMBTrackList List)
| Return the offset of entries in an Mb5NonMBTrackList.
Mb5NonMBTrackList | mb5_nonmbtrack_list_clone (Mb5NonMBTrackList NonMBTrackList)
| Clone an Mb5NonMBTrackList object.
void | mb5_puid_list_delete (Mb5PUIDList List)
| Delete a Mb5PUIDList.
int | mb5_puid_list_size (Mb5PUIDList List)
| Return the number of entries in a Mb5PUIDList.
Mb5PUID | mb5_puid_list_item (Mb5PUIDList List, int Item)
| Returns an entry from a Mb5PUIDList.
int | mb5_puid_list_get_count (Mb5PUIDList List)
| Return the count of entries in an Mb5PUIDList.
int | mb5_puid_list_get_offset (Mb5PUIDList List)
| Return the offset of entries in an Mb5PUIDList.
Mb5PUIDList | mb5_puid_list_clone (Mb5PUIDList PUIDList)
| Clone an Mb5PUIDList object.
void | mb5_recording_list_delete (Mb5RecordingList List)
| Delete a Mb5RecordingList.
int | mb5_recording_list_size (Mb5RecordingList List)
| Return the number of entries in a Mb5RecordingList.
Mb5Recording | mb5_recording_list_item (Mb5RecordingList List, int Item)
| Returns an entry from a Mb5RecordingList.
int | mb5_recording_list_get_count (Mb5RecordingList List)
| Return the count of entries in an Mb5RecordingList.
int | mb5_recording_list_get_offset (Mb5RecordingList List)
| Return the offset of entries in an Mb5RecordingList.
Mb5RecordingList | mb5_recording_list_clone (Mb5RecordingList RecordingList)
| Clone an Mb5RecordingList object.
void | mb5_relation_list_delete (Mb5RelationList List)
| Delete a Mb5RelationList.
int | mb5_relation_list_size (Mb5RelationList List)
| Return the number of entries in a Mb5RelationList.
Mb5Relation | mb5_relation_list_item (Mb5RelationList List, int Item)
| Returns an entry from a Mb5RelationList.
int | mb5_relation_list_get_count (Mb5RelationList List)
| Return the count of entries in an Mb5RelationList.
int | mb5_relation_list_get_offset (Mb5RelationList List)
| Return the offset of entries in an Mb5RelationList.
Mb5RelationList | mb5_relation_list_clone (Mb5RelationList RelationList)
| Clone an Mb5RelationList object.
int | mb5_relation_list_get_targettype (Mb5RelationList List, char *str, int len)
void | mb5_relationlist_list_delete (Mb5RelationListList List)
| Delete a Mb5RelationListList.
int | mb5_relationlist_list_size (Mb5RelationListList List)
| Return the number of entries in a Mb5RelationListList.
Mb5RelationList | mb5_relationlist_list_item (Mb5RelationListList List, int Item)
| Returns an entry from a Mb5RelationListList.
int | mb5_relationlist_list_get_count (Mb5RelationListList List)
| Return the count of entries in an Mb5RelationListList.
int | mb5_relationlist_list_get_offset (Mb5RelationListList List)
| Return the offset of entries in an Mb5RelationListList.
Mb5RelationListList | mb5_relationlist_list_clone (Mb5RelationListList RelationListList)
| Clone an Mb5RelationListList object.
void | mb5_release_list_delete (Mb5ReleaseList List)
| Delete a Mb5ReleaseList.
int | mb5_release_list_size (Mb5ReleaseList List)
| Return the number of entries in a Mb5ReleaseList.
Mb5Release | mb5_release_list_item (Mb5ReleaseList List, int Item)
| Returns an entry from a Mb5ReleaseList.
int | mb5_release_list_get_count (Mb5ReleaseList List)
| Return the count of entries in an Mb5ReleaseList.
int | mb5_release_list_get_offset (Mb5ReleaseList List)
| Return the offset of entries in an Mb5ReleaseList.
Mb5ReleaseList | mb5_release_list_clone (Mb5ReleaseList ReleaseList)
| Clone an Mb5ReleaseList object.
void | mb5_releasegroup_list_delete (Mb5ReleaseGroupList List)
| Delete a Mb5ReleaseGroupList.
int | mb5_releasegroup_list_size (Mb5ReleaseGroupList List)
| Return the number of entries in a Mb5ReleaseGroupList.
Mb5ReleaseGroup | mb5_releasegroup_list_item (Mb5ReleaseGroupList List, int Item)
| Returns an entry from a Mb5ReleaseGroupList.
int | mb5_releasegroup_list_get_count (Mb5ReleaseGroupList List)
| Return the count of entries in an Mb5ReleaseGroupList.
int | mb5_releasegroup_list_get_offset (Mb5ReleaseGroupList List)
| Return the offset of entries in an Mb5ReleaseGroupList.
Mb5ReleaseGroupList | mb5_releasegroup_list_clone (Mb5ReleaseGroupList ReleaseGroupList)
| Clone an Mb5ReleaseGroupList object.
void | mb5_secondarytype_list_delete (Mb5SecondaryTypeList List)
| Delete a Mb5SecondaryTypeList.
int | mb5_secondarytype_list_size (Mb5SecondaryTypeList List)
| Return the number of entries in a Mb5SecondaryTypeList.
Mb5SecondaryType | mb5_secondarytype_list_item (Mb5SecondaryTypeList List, int Item)
| Returns an entry from a Mb5SecondaryTypeList.
int | mb5_secondarytype_list_get_count (Mb5SecondaryTypeList List)
| Return the count of entries in an Mb5SecondaryTypeList.
int | mb5_secondarytype_list_get_offset (Mb5SecondaryTypeList List)
| Return the offset of entries in an Mb5SecondaryTypeList.
Mb5SecondaryTypeList | mb5_secondarytype_list_clone (Mb5SecondaryTypeList SecondaryTypeList)
| Clone an Mb5SecondaryTypeList object.
void | mb5_tag_list_delete (Mb5TagList List)
| Delete a Mb5TagList.
int | mb5_tag_list_size (Mb5TagList List)
| Return the number of entries in a Mb5TagList.
Mb5Tag | mb5_tag_list_item (Mb5TagList List, int Item)
| Returns an entry from a Mb5TagList.
int | mb5_tag_list_get_count (Mb5TagList List)
| Return the count of entries in an Mb5TagList.
int | mb5_tag_list_get_offset (Mb5TagList List)
| Return the offset of entries in an Mb5TagList.
Mb5TagList | mb5_tag_list_clone (Mb5TagList TagList)
| Clone an Mb5TagList object.
void | mb5_track_list_delete (Mb5TrackList List)
| Delete a Mb5TrackList.
int | mb5_track_list_size (Mb5TrackList List)
| Return the number of entries in a Mb5TrackList.
Mb5Track | mb5_track_list_item (Mb5TrackList List, int Item)
| Returns an entry from a Mb5TrackList.
int | mb5_track_list_get_count (Mb5TrackList List)
| Return the count of entries in an Mb5TrackList.
int | mb5_track_list_get_offset (Mb5TrackList List)
| Return the offset of entries in an Mb5TrackList.
Mb5TrackList | mb5_track_list_clone (Mb5TrackList TrackList)
| Clone an Mb5TrackList object.
void | mb5_usertag_list_delete (Mb5UserTagList List)
| Delete a Mb5UserTagList.
int | mb5_usertag_list_size (Mb5UserTagList List)
| Return the number of entries in a Mb5UserTagList.
Mb5UserTag | mb5_usertag_list_item (Mb5UserTagList List, int Item)
| Returns an entry from a Mb5UserTagList.
int | mb5_usertag_list_get_count (Mb5UserTagList List)
| Return the count of entries in an Mb5UserTagList.
int | mb5_usertag_list_get_offset (Mb5UserTagList List)
| Return the offset of entries in an Mb5UserTagList.
Mb5UserTagList | mb5_usertag_list_clone (Mb5UserTagList UserTagList)
| Clone an Mb5UserTagList object.
void | mb5_work_list_delete (Mb5WorkList List)
| Delete a Mb5WorkList.
int | mb5_work_list_size (Mb5WorkList List)
| Return the number of entries in a Mb5WorkList.
Mb5Work | mb5_work_list_item (Mb5WorkList List, int Item)
| Returns an entry from a Mb5WorkList.
int | mb5_work_list_get_count (Mb5WorkList List)
| Return the count of entries in an Mb5WorkList.
int | mb5_work_list_get_offset (Mb5WorkList List)
| Return the offset of entries in an Mb5WorkList.
Mb5WorkList | mb5_work_list_clone (Mb5WorkList WorkList)
| Clone an Mb5WorkList object.

## Typedef Documentation

## ◆ Mb5Alias

typedef void* Mb5Alias

## ◆ Mb5AliasList

typedef void* Mb5AliasList

## ◆ Mb5Annotation

typedef void* Mb5Annotation

## ◆ Mb5AnnotationList

typedef void* Mb5AnnotationList

## ◆ Mb5Artist

typedef void* Mb5Artist

## ◆ Mb5ArtistCredit

typedef void* Mb5ArtistCredit

## ◆ Mb5ArtistList

typedef void* Mb5ArtistList

## ◆ Mb5Attribute

typedef void* Mb5Attribute

## ◆ Mb5AttributeList

typedef void* Mb5AttributeList

## ◆ Mb5CDStub

typedef void* Mb5CDStub

## ◆ Mb5CDStubList

typedef void* Mb5CDStubList

## ◆ Mb5Collection

typedef void* Mb5Collection

## ◆ Mb5CollectionList

typedef void* Mb5CollectionList

## ◆ Mb5Disc

typedef void* Mb5Disc

## ◆ Mb5DiscList

typedef void* Mb5DiscList

## ◆ Mb5Entity

typedef void* Mb5Entity

## ◆ Mb5FreeDBDisc

typedef void* Mb5FreeDBDisc

## ◆ Mb5FreeDBDiscList

typedef void* Mb5FreeDBDiscList

## ◆ Mb5IPI

typedef void* Mb5IPI

## ◆ Mb5IPIList

typedef void* Mb5IPIList

## ◆ Mb5ISRC

typedef void* Mb5ISRC

## ◆ Mb5ISRCList

typedef void* Mb5ISRCList

## ◆ Mb5ISWC

typedef void* Mb5ISWC

## ◆ Mb5ISWCList

typedef void* Mb5ISWCList

## ◆ Mb5Label

typedef void* Mb5Label

## ◆ Mb5LabelInfo

typedef void* Mb5LabelInfo

## ◆ Mb5LabelInfoList

typedef void* Mb5LabelInfoList

## ◆ Mb5LabelList

typedef void* Mb5LabelList

## ◆ Mb5Lifespan

typedef void* Mb5Lifespan

## ◆ Mb5Medium

typedef void* Mb5Medium

## ◆ Mb5MediumList

typedef void* Mb5MediumList

## ◆ Mb5Message

typedef void* Mb5Message

## ◆ Mb5Metadata

typedef void* Mb5Metadata

## ◆ Mb5NameCredit

typedef void* Mb5NameCredit

## ◆ Mb5NameCreditList

typedef void* Mb5NameCreditList

## ◆ Mb5NonMBTrack

typedef void* Mb5NonMBTrack

## ◆ Mb5NonMBTrackList

typedef void* Mb5NonMBTrackList

## ◆ Mb5PUID

typedef void* Mb5PUID

## ◆ Mb5PUIDList

typedef void* Mb5PUIDList

## ◆ Mb5Query

typedef void* Mb5Query

## ◆ Mb5Rating

typedef void* Mb5Rating

## ◆ Mb5Recording

typedef void* Mb5Recording

## ◆ Mb5RecordingList

typedef void* Mb5RecordingList

## ◆ Mb5Relation

typedef void* Mb5Relation

## ◆ Mb5RelationList

typedef void* Mb5RelationList

## ◆ Mb5RelationListList

typedef void* Mb5RelationListList

## ◆ Mb5Release

typedef void* Mb5Release

## ◆ Mb5ReleaseGroup

typedef void* Mb5ReleaseGroup

## ◆ Mb5ReleaseGroupList

typedef void* Mb5ReleaseGroupList

## ◆ Mb5ReleaseList

typedef void* Mb5ReleaseList

## ◆ Mb5SecondaryType

typedef void* Mb5SecondaryType

## ◆ Mb5SecondaryTypeList

typedef void* Mb5SecondaryTypeList

## ◆ Mb5Tag

typedef void* Mb5Tag

## ◆ Mb5TagList

typedef void* Mb5TagList

## ◆ Mb5TextRepresentation

typedef void* Mb5TextRepresentation

## ◆ Mb5Track

typedef void* Mb5Track

## ◆ Mb5TrackList

typedef void* Mb5TrackList

## ◆ Mb5UserRating

typedef void* Mb5UserRating

## ◆ Mb5UserTag

typedef void* Mb5UserTag

## ◆ Mb5UserTagList

typedef void* Mb5UserTagList

## ◆ Mb5Work

typedef void* Mb5Work

## ◆ Mb5WorkList

typedef void* Mb5WorkList

## Enumeration Type Documentation

## ◆ tQueryResult

enum tQueryResult

See also
  MusicBrainz5::CQuery::tQueryResult

Enumerator
eQuery_Success |
eQuery_ConnectionError |
eQuery_Timeout |
eQuery_AuthenticationError |
eQuery_FetchError |
eQuery_RequestError |
eQuery_ResourceNotFound |

## Function Documentation

## ◆ mb5_alias_clone()

Mb5Alias mb5_alias_clone | ( | Mb5Alias | Alias | ) |

Parameters

  Alias | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_alias_delete()

void mb5_alias_delete | ( | Mb5Alias | Alias | ) |

Parameters

  Alias | Object to delete

## ◆ mb5_alias_get_begindate()

int mb5_alias_get_begindate | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::BeginDate

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_enddate()

int mb5_alias_get_enddate | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::EndDate

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_locale()

int mb5_alias_get_locale | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::Locale

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_primary()

int mb5_alias_get_primary | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::Primary

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_sortname()

int mb5_alias_get_sortname | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::SortName

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_text()

int mb5_alias_get_text | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::Text

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_get_type()

int mb5_alias_get_type | ( | Mb5Alias | Alias,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAlias::Type

Parameters

  Alias | Mb5Alias object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_alias_list_clone()

Mb5AliasList mb5_alias_list_clone | ( | Mb5AliasList | AliasList | ) |

Parameters

  AliasList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_alias_list_delete()

void mb5_alias_list_delete | ( | Mb5AliasList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_alias_list_get_count()

int mb5_alias_list_get_count | ( | Mb5AliasList | List | ) |

Parameters

  List | List to use

## ◆ mb5_alias_list_get_offset()

int mb5_alias_list_get_offset | ( | Mb5AliasList | List | ) |

Parameters

  List | List to use

## ◆ mb5_alias_list_item()

Mb5Alias mb5_alias_list_item | ( | Mb5AliasList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Alias object.

## ◆ mb5_alias_list_size()

int mb5_alias_list_size | ( | Mb5AliasList | List | ) |

Parameters

  List | List to use

## ◆ mb5_annotation_clone()

Mb5Annotation mb5_annotation_clone | ( | Mb5Annotation | Annotation | ) |

Parameters

  Annotation | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_annotation_delete()

void mb5_annotation_delete | ( | Mb5Annotation | Annotation | ) |

Parameters

  Annotation | Object to delete

## ◆ mb5_annotation_get_entity()

int mb5_annotation_get_entity | ( | Mb5Annotation | Annotation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAnnotation::Entity

Parameters

  Annotation | Mb5Annotation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_annotation_get_name()

int mb5_annotation_get_name | ( | Mb5Annotation | Annotation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAnnotation::Name

Parameters

  Annotation | Mb5Annotation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_annotation_get_text()

int mb5_annotation_get_text | ( | Mb5Annotation | Annotation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAnnotation::Text

Parameters

  Annotation | Mb5Annotation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_annotation_get_type()

int mb5_annotation_get_type | ( | Mb5Annotation | Annotation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAnnotation::Type

Parameters

  Annotation | Mb5Annotation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_annotation_list_clone()

Mb5AnnotationList mb5_annotation_list_clone | ( | Mb5AnnotationList | AnnotationList | ) |

Parameters

  AnnotationList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_annotation_list_delete()

void mb5_annotation_list_delete | ( | Mb5AnnotationList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_annotation_list_get_count()

int mb5_annotation_list_get_count | ( | Mb5AnnotationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_annotation_list_get_offset()

int mb5_annotation_list_get_offset | ( | Mb5AnnotationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_annotation_list_item()

Mb5Annotation mb5_annotation_list_item | ( | Mb5AnnotationList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Annotation object.

## ◆ mb5_annotation_list_size()

int mb5_annotation_list_size | ( | Mb5AnnotationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_artist_clone()

Mb5Artist mb5_artist_clone | ( | Mb5Artist | Artist | ) |

Parameters

  Artist | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_artist_delete()

void mb5_artist_delete | ( | Mb5Artist | Artist | ) |

Parameters

  Artist | Object to delete

## ◆ mb5_artist_get_aliaslist()

Mb5AliasList mb5_artist_get_aliaslist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::AliasList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5AliasList object

## ◆ mb5_artist_get_country()

int mb5_artist_get_country | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::Country

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_disambiguation()

int mb5_artist_get_disambiguation | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::Disambiguation

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_gender()

int mb5_artist_get_gender | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::Gender

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_id()

int mb5_artist_get_id | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::ID

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_ipilist()

Mb5IPIList mb5_artist_get_ipilist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::IPIList

Parameters

  Artist | Mb5ArtistList object

Returns
  Mb5IPIList object

## ◆ mb5_artist_get_labellist()

Mb5LabelList mb5_artist_get_labellist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::LabelList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5LabelList object

## ◆ mb5_artist_get_lifespan()

Mb5Lifespan mb5_artist_get_lifespan | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::Lifespan

Parameters

  Artist | Mb5Artist object

Returns
  Mb5Lifespan object

## ◆ mb5_artist_get_name()

int mb5_artist_get_name | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::Name

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_rating()

Mb5Rating mb5_artist_get_rating | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::Rating

Parameters

  Artist | Mb5Artist object

Returns
  Mb5Rating object

## ◆ mb5_artist_get_recordinglist()

Mb5RecordingList mb5_artist_get_recordinglist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::RecordingList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5RecordingList object

## ◆ mb5_artist_get_relationlistlist()

Mb5RelationListList mb5_artist_get_relationlistlist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::RelationListList

Parameters

  Artist | Mb5ArtistList object

Returns
  Mb5RelationListList object

## ◆ mb5_artist_get_releasegrouplist()

Mb5ReleaseGroupList mb5_artist_get_releasegrouplist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::ReleaseGroupList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5ReleaseGroupList object

## ◆ mb5_artist_get_releaselist()

Mb5ReleaseList mb5_artist_get_releaselist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::ReleaseList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5ReleaseList object

## ◆ mb5_artist_get_sortname()

int mb5_artist_get_sortname | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::SortName

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_taglist()

Mb5TagList mb5_artist_get_taglist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::TagList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5TagList object

## ◆ mb5_artist_get_type()

int mb5_artist_get_type | ( | Mb5Artist | Artist,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CArtist::Type

Parameters

  Artist | Mb5Artist object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_artist_get_userrating()

Mb5UserRating mb5_artist_get_userrating | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::UserRating

Parameters

  Artist | Mb5Artist object

Returns
  Mb5UserRating object

## ◆ mb5_artist_get_usertaglist()

Mb5UserTagList mb5_artist_get_usertaglist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::UserTagList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5UserTagList object

## ◆ mb5_artist_get_worklist()

Mb5WorkList mb5_artist_get_worklist | ( | Mb5Artist | Artist | ) |

See also
  MusicBrainz5::CArtist::WorkList

Parameters

  Artist | Mb5Artist object

Returns
  Mb5WorkList object

## ◆ mb5_artist_list_clone()

Mb5ArtistList mb5_artist_list_clone | ( | Mb5ArtistList | ArtistList | ) |

Parameters

  ArtistList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_artist_list_delete()

void mb5_artist_list_delete | ( | Mb5ArtistList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_artist_list_get_count()

int mb5_artist_list_get_count | ( | Mb5ArtistList | List | ) |

Parameters

  List | List to use

## ◆ mb5_artist_list_get_offset()

int mb5_artist_list_get_offset | ( | Mb5ArtistList | List | ) |

Parameters

  List | List to use

## ◆ mb5_artist_list_item()

Mb5Artist mb5_artist_list_item | ( | Mb5ArtistList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Artist object.

## ◆ mb5_artist_list_size()

int mb5_artist_list_size | ( | Mb5ArtistList | List | ) |

Parameters

  List | List to use

## ◆ mb5_artistcredit_clone()

Mb5ArtistCredit mb5_artistcredit_clone | ( | Mb5ArtistCredit | ArtistCredit | ) |

Parameters

  ArtistCredit | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_artistcredit_delete()

void mb5_artistcredit_delete | ( | Mb5ArtistCredit | ArtistCredit | ) |

Parameters

  ArtistCredit | Object to delete

## ◆ mb5_artistcredit_get_namecreditlist()

Mb5NameCreditList mb5_artistcredit_get_namecreditlist | ( | Mb5ArtistCredit | ArtistCredit | ) |

See also
  MusicBrainz5::CArtistCredit::NameCreditList

Parameters

  ArtistCredit | Mb5ArtistCredit object

Returns
  Mb5NameCreditList object

## ◆ mb5_attribute_clone()

Mb5Attribute mb5_attribute_clone | ( | Mb5Attribute | Attribute | ) |

Parameters

  Attribute | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_attribute_delete()

void mb5_attribute_delete | ( | Mb5Attribute | Attribute | ) |

Parameters

  Attribute | Object to delete

## ◆ mb5_attribute_get_text()

int mb5_attribute_get_text | ( | Mb5Attribute | Attribute,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CAttribute::Text

Parameters

  Attribute | Mb5Attribute object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_attribute_list_clone()

Mb5AttributeList mb5_attribute_list_clone | ( | Mb5AttributeList | AttributeList | ) |

Parameters

  AttributeList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_attribute_list_delete()

void mb5_attribute_list_delete | ( | Mb5AttributeList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_attribute_list_get_count()

int mb5_attribute_list_get_count | ( | Mb5AttributeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_attribute_list_get_offset()

int mb5_attribute_list_get_offset | ( | Mb5AttributeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_attribute_list_item()

Mb5Attribute mb5_attribute_list_item | ( | Mb5AttributeList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Attribute object.

## ◆ mb5_attribute_list_size()

int mb5_attribute_list_size | ( | Mb5AttributeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_cdstub_clone()

Mb5CDStub mb5_cdstub_clone | ( | Mb5CDStub | CDStub | ) |

Parameters

  CDStub | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_cdstub_delete()

void mb5_cdstub_delete | ( | Mb5CDStub | CDStub | ) |

Parameters

  CDStub | Object to delete

## ◆ mb5_cdstub_get_artist()

int mb5_cdstub_get_artist | ( | Mb5CDStub | CDStub,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCDStub::Artist

Parameters

  CDStub | Mb5CDStub object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_cdstub_get_barcode()

int mb5_cdstub_get_barcode | ( | Mb5CDStub | CDStub,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCDStub::Barcode

Parameters

  CDStub | Mb5CDStub object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_cdstub_get_comment()

int mb5_cdstub_get_comment | ( | Mb5CDStub | CDStub,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCDStub::Comment

Parameters

  CDStub | Mb5CDStub object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_cdstub_get_id()

int mb5_cdstub_get_id | ( | Mb5CDStub | CDStub,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCDStub::ID

Parameters

  CDStub | Mb5CDStub object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_cdstub_get_nonmbtracklist()

Mb5NonMBTrackList mb5_cdstub_get_nonmbtracklist | ( | Mb5CDStub | CDStub | ) |

See also
  MusicBrainz5::CCDStub::NonMBTrackList

Parameters

  CDStub | Mb5CDStub object

Returns
  Mb5NonMBTrackList object

## ◆ mb5_cdstub_get_title()

int mb5_cdstub_get_title | ( | Mb5CDStub | CDStub,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCDStub::Title

Parameters

  CDStub | Mb5CDStub object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_cdstub_list_clone()

Mb5CDStubList mb5_cdstub_list_clone | ( | Mb5CDStubList | CDStubList | ) |

Parameters

  CDStubList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_cdstub_list_delete()

void mb5_cdstub_list_delete | ( | Mb5CDStubList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_cdstub_list_get_count()

int mb5_cdstub_list_get_count | ( | Mb5CDStubList | List | ) |

Parameters

  List | List to use

## ◆ mb5_cdstub_list_get_offset()

int mb5_cdstub_list_get_offset | ( | Mb5CDStubList | List | ) |

Parameters

  List | List to use

## ◆ mb5_cdstub_list_item()

Mb5CDStub mb5_cdstub_list_item | ( | Mb5CDStubList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5CDStub object.

## ◆ mb5_cdstub_list_size()

int mb5_cdstub_list_size | ( | Mb5CDStubList | List | ) |

Parameters

  List | List to use

## ◆ mb5_collection_clone()

Mb5Collection mb5_collection_clone | ( | Mb5Collection | Collection | ) |

Parameters

  Collection | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_collection_delete()

void mb5_collection_delete | ( | Mb5Collection | Collection | ) |

Parameters

  Collection | Object to delete

## ◆ mb5_collection_get_editor()

int mb5_collection_get_editor | ( | Mb5Collection | Collection,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCollection::Editor

Parameters

  Collection | Mb5Collection object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_collection_get_id()

int mb5_collection_get_id | ( | Mb5Collection | Collection,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCollection::ID

Parameters

  Collection | Mb5Collection object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_collection_get_name()

int mb5_collection_get_name | ( | Mb5Collection | Collection,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CCollection::Name

Parameters

  Collection | Mb5Collection object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_collection_get_releaselist()

Mb5ReleaseList mb5_collection_get_releaselist | ( | Mb5Collection | Collection | ) |

See also
  MusicBrainz5::CCollection::ReleaseList

Parameters

  Collection | Mb5Collection object

Returns
  Mb5ReleaseList object

## ◆ mb5_collection_list_clone()

Mb5CollectionList mb5_collection_list_clone | ( | Mb5CollectionList | CollectionList | ) |

Parameters

  CollectionList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_collection_list_delete()

void mb5_collection_list_delete | ( | Mb5CollectionList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_collection_list_get_count()

int mb5_collection_list_get_count | ( | Mb5CollectionList | List | ) |

Parameters

  List | List to use

## ◆ mb5_collection_list_get_offset()

int mb5_collection_list_get_offset | ( | Mb5CollectionList | List | ) |

Parameters

  List | List to use

## ◆ mb5_collection_list_item()

Mb5Collection mb5_collection_list_item | ( | Mb5CollectionList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Collection object.

## ◆ mb5_collection_list_size()

int mb5_collection_list_size | ( | Mb5CollectionList | List | ) |

Parameters

  List | List to use

## ◆ mb5_disc_clone()

Mb5Disc mb5_disc_clone | ( | Mb5Disc | Disc | ) |

Parameters

  Disc | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_disc_delete()

void mb5_disc_delete | ( | Mb5Disc | Disc | ) |

Parameters

  Disc | Object to delete

## ◆ mb5_disc_get_id()

int mb5_disc_get_id | ( | Mb5Disc | Disc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CDisc::ID

Parameters

  Disc | Mb5Disc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_disc_get_releaselist()

Mb5ReleaseList mb5_disc_get_releaselist | ( | Mb5Disc | Disc | ) |

See also
  MusicBrainz5::CDisc::ReleaseList

Parameters

  Disc | Mb5Disc object

Returns
  Mb5ReleaseList object

## ◆ mb5_disc_get_sectors()

int mb5_disc_get_sectors | ( | Mb5Disc | Disc | ) |

See also
  MusicBrainz5::CDisc::Sectors

Parameters

  Disc | Mb5Disc object

Returns
  Returned value

## ◆ mb5_disc_list_clone()

Mb5DiscList mb5_disc_list_clone | ( | Mb5DiscList | DiscList | ) |

Parameters

  DiscList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_disc_list_delete()

void mb5_disc_list_delete | ( | Mb5DiscList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_disc_list_get_count()

int mb5_disc_list_get_count | ( | Mb5DiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_disc_list_get_offset()

int mb5_disc_list_get_offset | ( | Mb5DiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_disc_list_item()

Mb5Disc mb5_disc_list_item | ( | Mb5DiscList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Disc object.

## ◆ mb5_disc_list_size()

int mb5_disc_list_size | ( | Mb5DiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_entity_ext_attribute_name()

int mb5_entity_ext_attribute_name | ( | Mb5Entity | Entity,
|  | int | Item,
|  | char * | str,
|  | int | len )

Parameters

  Entity | Mb5Entity object
  Item | Item to return
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_entity_ext_attribute_value()

int mb5_entity_ext_attribute_value | ( | Mb5Entity | Entity,
|  | int | Item,
|  | char * | str,
|  | int | len )

Parameters

  Entity | Mb5Entity object
  Item | Item to return
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_entity_ext_attributes_size()

int mb5_entity_ext_attributes_size | ( | Mb5Entity | Entity | ) |

Parameters

  Entity | Mb5Entity object

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_entity_ext_element_name()

int mb5_entity_ext_element_name | ( | Mb5Entity | Entity,
|  | int | Item,
|  | char * | str,
|  | int | len )

Parameters

  Entity | Mb5Entity object
  Item | Item to return
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_entity_ext_element_value()

int mb5_entity_ext_element_value | ( | Mb5Entity | Entity,
|  | int | Item,
|  | char * | str,
|  | int | len )

Parameters

  Entity | Mb5Entity object
  Item | Item to return
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_entity_ext_elements_size()

int mb5_entity_ext_elements_size | ( | Mb5Entity | Entity | ) |

Parameters

  Entity | Mb5Entity object

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_clone()

Mb5FreeDBDisc mb5_freedbdisc_clone | ( | Mb5FreeDBDisc | FreeDBDisc | ) |

Parameters

  FreeDBDisc | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_freedbdisc_delete()

void mb5_freedbdisc_delete | ( | Mb5FreeDBDisc | FreeDBDisc | ) |

Parameters

  FreeDBDisc | Object to delete

## ◆ mb5_freedbdisc_get_artist()

int mb5_freedbdisc_get_artist | ( | Mb5FreeDBDisc | FreeDBDisc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CFreeDBDisc::Artist

Parameters

  FreeDBDisc | Mb5FreeDBDisc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_get_category()

int mb5_freedbdisc_get_category | ( | Mb5FreeDBDisc | FreeDBDisc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CFreeDBDisc::Category

Parameters

  FreeDBDisc | Mb5FreeDBDisc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_get_id()

int mb5_freedbdisc_get_id | ( | Mb5FreeDBDisc | FreeDBDisc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CFreeDBDisc::ID

Parameters

  FreeDBDisc | Mb5FreeDBDisc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_get_nonmbtracklist()

Mb5NonMBTrackList mb5_freedbdisc_get_nonmbtracklist | ( | Mb5FreeDBDisc | FreeDBDisc | ) |

See also
  MusicBrainz5::CFreeDBDisc::NonMBTrackList

Parameters

  FreeDBDisc | Mb5FreeDBDisc object

Returns
  Mb5NonMBTrackList object

## ◆ mb5_freedbdisc_get_title()

int mb5_freedbdisc_get_title | ( | Mb5FreeDBDisc | FreeDBDisc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CFreeDBDisc::Title

Parameters

  FreeDBDisc | Mb5FreeDBDisc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_get_year()

int mb5_freedbdisc_get_year | ( | Mb5FreeDBDisc | FreeDBDisc,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CFreeDBDisc::Year

Parameters

  FreeDBDisc | Mb5FreeDBDisc object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_freedbdisc_list_clone()

Mb5FreeDBDiscList mb5_freedbdisc_list_clone | ( | Mb5FreeDBDiscList | FreeDBDiscList | ) |

Parameters

  FreeDBDiscList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_freedbdisc_list_delete()

void mb5_freedbdisc_list_delete | ( | Mb5FreeDBDiscList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_freedbdisc_list_get_count()

int mb5_freedbdisc_list_get_count | ( | Mb5FreeDBDiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_freedbdisc_list_get_offset()

int mb5_freedbdisc_list_get_offset | ( | Mb5FreeDBDiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_freedbdisc_list_item()

Mb5FreeDBDisc mb5_freedbdisc_list_item | ( | Mb5FreeDBDiscList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5FreeDBDisc object.

## ◆ mb5_freedbdisc_list_size()

int mb5_freedbdisc_list_size | ( | Mb5FreeDBDiscList | List | ) |

Parameters

  List | List to use

## ◆ mb5_ipi_clone()

Mb5IPI mb5_ipi_clone | ( | Mb5IPI | IPI | ) |

Parameters

  IPI | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_ipi_delete()

void mb5_ipi_delete | ( | Mb5IPI | IPI | ) |

Parameters

  IPI | Object to delete

## ◆ mb5_ipi_get_ipi()

int mb5_ipi_get_ipi | ( | Mb5IPI | IPI,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CIPI::IPI

Parameters

  IPI | Mb5IPI object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_ipi_list_clone()

Mb5IPIList mb5_ipi_list_clone | ( | Mb5IPIList | IPIList | ) |

Parameters

  IPIList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_ipi_list_delete()

void mb5_ipi_list_delete | ( | Mb5IPIList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_ipi_list_get_count()

int mb5_ipi_list_get_count | ( | Mb5IPIList | List | ) |

Parameters

  List | List to use

## ◆ mb5_ipi_list_get_offset()

int mb5_ipi_list_get_offset | ( | Mb5IPIList | List | ) |

Parameters

  List | List to use

## ◆ mb5_ipi_list_item()

Mb5IPI mb5_ipi_list_item | ( | Mb5IPIList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5IPI object.

## ◆ mb5_ipi_list_size()

int mb5_ipi_list_size | ( | Mb5IPIList | List | ) |

Parameters

  List | List to use

## ◆ mb5_isrc_clone()

Mb5ISRC mb5_isrc_clone | ( | Mb5ISRC | ISRC | ) |

Parameters

  ISRC | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_isrc_delete()

void mb5_isrc_delete | ( | Mb5ISRC | ISRC | ) |

Parameters

  ISRC | Object to delete

## ◆ mb5_isrc_get_id()

int mb5_isrc_get_id | ( | Mb5ISRC | ISRC,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CISRC::ID

Parameters

  ISRC | Mb5ISRC object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_isrc_get_recordinglist()

Mb5RecordingList mb5_isrc_get_recordinglist | ( | Mb5ISRC | ISRC | ) |

See also
  MusicBrainz5::CISRC::RecordingList

Parameters

  ISRC | Mb5ISRC object

Returns
  Mb5RecordingList object

## ◆ mb5_isrc_list_clone()

Mb5ISRCList mb5_isrc_list_clone | ( | Mb5ISRCList | ISRCList | ) |

Parameters

  ISRCList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_isrc_list_delete()

void mb5_isrc_list_delete | ( | Mb5ISRCList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_isrc_list_get_count()

int mb5_isrc_list_get_count | ( | Mb5ISRCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_isrc_list_get_offset()

int mb5_isrc_list_get_offset | ( | Mb5ISRCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_isrc_list_item()

Mb5ISRC mb5_isrc_list_item | ( | Mb5ISRCList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5ISRC object.

## ◆ mb5_isrc_list_size()

int mb5_isrc_list_size | ( | Mb5ISRCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_iswc_clone()

Mb5ISWC mb5_iswc_clone | ( | Mb5ISWC | ISWC | ) |

Parameters

  ISWC | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_iswc_delete()

void mb5_iswc_delete | ( | Mb5ISWC | ISWC | ) |

Parameters

  ISWC | Object to delete

## ◆ mb5_iswc_get_iswc()

int mb5_iswc_get_iswc | ( | Mb5ISWC | ISWC,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CISWC::ISWC

Parameters

  ISWC | Mb5ISWC object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_iswc_list_clone()

Mb5ISWCList mb5_iswc_list_clone | ( | Mb5ISWCList | ISWCList | ) |

Parameters

  ISWCList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_iswc_list_delete()

void mb5_iswc_list_delete | ( | Mb5ISWCList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_iswc_list_get_count()

int mb5_iswc_list_get_count | ( | Mb5ISWCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_iswc_list_get_offset()

int mb5_iswc_list_get_offset | ( | Mb5ISWCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_iswc_list_item()

Mb5ISWC mb5_iswc_list_item | ( | Mb5ISWCList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5ISWC object.

## ◆ mb5_iswc_list_size()

int mb5_iswc_list_size | ( | Mb5ISWCList | List | ) |

Parameters

  List | List to use

## ◆ mb5_label_clone()

Mb5Label mb5_label_clone | ( | Mb5Label | Label | ) |

Parameters

  Label | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_label_delete()

void mb5_label_delete | ( | Mb5Label | Label | ) |

Parameters

  Label | Object to delete

## ◆ mb5_label_get_aliaslist()

Mb5AliasList mb5_label_get_aliaslist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::AliasList

Parameters

  Label | Mb5Label object

Returns
  Mb5AliasList object

## ◆ mb5_label_get_country()

int mb5_label_get_country | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::Country

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_disambiguation()

int mb5_label_get_disambiguation | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::Disambiguation

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_id()

int mb5_label_get_id | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::ID

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_ipilist()

Mb5IPIList mb5_label_get_ipilist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::IPIList

Parameters

  Label | Mb5LabelList object

Returns
  Mb5IPIList object

## ◆ mb5_label_get_labelcode()

int mb5_label_get_labelcode | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::LabelCode

Parameters

  Label | Mb5Label object

Returns
  Returned value

## ◆ mb5_label_get_lifespan()

Mb5Lifespan mb5_label_get_lifespan | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::Lifespan

Parameters

  Label | Mb5Label object

Returns
  Mb5Lifespan object

## ◆ mb5_label_get_name()

int mb5_label_get_name | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::Name

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_rating()

Mb5Rating mb5_label_get_rating | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::Rating

Parameters

  Label | Mb5Label object

Returns
  Mb5Rating object

## ◆ mb5_label_get_relationlistlist()

Mb5RelationListList mb5_label_get_relationlistlist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::RelationListList

Parameters

  Label | Mb5LabelList object

Returns
  Mb5RelationListList object

## ◆ mb5_label_get_releaselist()

Mb5ReleaseList mb5_label_get_releaselist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::ReleaseList

Parameters

  Label | Mb5Label object

Returns
  Mb5ReleaseList object

## ◆ mb5_label_get_sortname()

int mb5_label_get_sortname | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::SortName

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_taglist()

Mb5TagList mb5_label_get_taglist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::TagList

Parameters

  Label | Mb5Label object

Returns
  Mb5TagList object

## ◆ mb5_label_get_type()

int mb5_label_get_type | ( | Mb5Label | Label,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabel::Type

Parameters

  Label | Mb5Label object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_label_get_userrating()

Mb5UserRating mb5_label_get_userrating | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::UserRating

Parameters

  Label | Mb5Label object

Returns
  Mb5UserRating object

## ◆ mb5_label_get_usertaglist()

Mb5UserTagList mb5_label_get_usertaglist | ( | Mb5Label | Label | ) |

See also
  MusicBrainz5::CLabel::UserTagList

Parameters

  Label | Mb5Label object

Returns
  Mb5UserTagList object

## ◆ mb5_label_list_clone()

Mb5LabelList mb5_label_list_clone | ( | Mb5LabelList | LabelList | ) |

Parameters

  LabelList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_label_list_delete()

void mb5_label_list_delete | ( | Mb5LabelList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_label_list_get_count()

int mb5_label_list_get_count | ( | Mb5LabelList | List | ) |

Parameters

  List | List to use

## ◆ mb5_label_list_get_offset()

int mb5_label_list_get_offset | ( | Mb5LabelList | List | ) |

Parameters

  List | List to use

## ◆ mb5_label_list_item()

Mb5Label mb5_label_list_item | ( | Mb5LabelList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Label object.

## ◆ mb5_label_list_size()

int mb5_label_list_size | ( | Mb5LabelList | List | ) |

Parameters

  List | List to use

## ◆ mb5_labelinfo_clone()

Mb5LabelInfo mb5_labelinfo_clone | ( | Mb5LabelInfo | LabelInfo | ) |

Parameters

  LabelInfo | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_labelinfo_delete()

void mb5_labelinfo_delete | ( | Mb5LabelInfo | LabelInfo | ) |

Parameters

  LabelInfo | Object to delete

## ◆ mb5_labelinfo_get_catalognumber()

int mb5_labelinfo_get_catalognumber | ( | Mb5LabelInfo | LabelInfo,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLabelInfo::CatalogNumber

Parameters

  LabelInfo | Mb5LabelInfo object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_labelinfo_get_label()

Mb5Label mb5_labelinfo_get_label | ( | Mb5LabelInfo | LabelInfo | ) |

See also
  MusicBrainz5::CLabelInfo::Label

Parameters

  LabelInfo | Mb5LabelInfo object

Returns
  Mb5Label object

## ◆ mb5_labelinfo_list_clone()

Mb5LabelInfoList mb5_labelinfo_list_clone | ( | Mb5LabelInfoList | LabelInfoList | ) |

Parameters

  LabelInfoList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_labelinfo_list_delete()

void mb5_labelinfo_list_delete | ( | Mb5LabelInfoList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_labelinfo_list_get_count()

int mb5_labelinfo_list_get_count | ( | Mb5LabelInfoList | List | ) |

Parameters

  List | List to use

## ◆ mb5_labelinfo_list_get_offset()

int mb5_labelinfo_list_get_offset | ( | Mb5LabelInfoList | List | ) |

Parameters

  List | List to use

## ◆ mb5_labelinfo_list_item()

Mb5LabelInfo mb5_labelinfo_list_item | ( | Mb5LabelInfoList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5LabelInfo object.

## ◆ mb5_labelinfo_list_size()

int mb5_labelinfo_list_size | ( | Mb5LabelInfoList | List | ) |

Parameters

  List | List to use

## ◆ mb5_lifespan_clone()

Mb5Lifespan mb5_lifespan_clone | ( | Mb5Lifespan | Lifespan | ) |

Parameters

  Lifespan | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_lifespan_delete()

void mb5_lifespan_delete | ( | Mb5Lifespan | Lifespan | ) |

Parameters

  Lifespan | Object to delete

## ◆ mb5_lifespan_get_begin()

int mb5_lifespan_get_begin | ( | Mb5Lifespan | Lifespan,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLifespan::Begin

Parameters

  Lifespan | Mb5Lifespan object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_lifespan_get_end()

int mb5_lifespan_get_end | ( | Mb5Lifespan | Lifespan,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLifespan::End

Parameters

  Lifespan | Mb5Lifespan object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_lifespan_get_ended()

int mb5_lifespan_get_ended | ( | Mb5Lifespan | Lifespan,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CLifespan::Ended

Parameters

  Lifespan | Mb5Lifespan object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_medium_clone()

Mb5Medium mb5_medium_clone | ( | Mb5Medium | Medium | ) |

Parameters

  Medium | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_medium_contains_discid()

unsigned char mb5_medium_contains_discid | ( | Mb5Medium | Medium,
|  | const char * | DiscID )

See also
  MusicBrainz5::CMedium::ContainsDiscID

Parameters

  Medium | Mb5Medium object
  DiscID | DiscID to check

Returns
  1 if DiscID found, 0 otherwise

## ◆ mb5_medium_delete()

void mb5_medium_delete | ( | Mb5Medium | Medium | ) |

Parameters

  Medium | Object to delete

## ◆ mb5_medium_get_disclist()

Mb5DiscList mb5_medium_get_disclist | ( | Mb5Medium | Medium | ) |

See also
  MusicBrainz5::CMedium::DiscList

Parameters

  Medium | Mb5Medium object

Returns
  Mb5DiscList object

## ◆ mb5_medium_get_format()

int mb5_medium_get_format | ( | Mb5Medium | Medium,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMedium::Format

Parameters

  Medium | Mb5Medium object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_medium_get_position()

int mb5_medium_get_position | ( | Mb5Medium | Medium | ) |

See also
  MusicBrainz5::CMedium::Position

Parameters

  Medium | Mb5Medium object

Returns
  Returned value

## ◆ mb5_medium_get_title()

int mb5_medium_get_title | ( | Mb5Medium | Medium,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMedium::Title

Parameters

  Medium | Mb5Medium object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_medium_get_tracklist()

Mb5TrackList mb5_medium_get_tracklist | ( | Mb5Medium | Medium | ) |

See also
  MusicBrainz5::CMedium::TrackList

Parameters

  Medium | Mb5Medium object

Returns
  Mb5TrackList object

## ◆ mb5_medium_list_clone()

Mb5MediumList mb5_medium_list_clone | ( | Mb5MediumList | MediumList | ) |

Parameters

  MediumList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_medium_list_delete()

void mb5_medium_list_delete | ( | Mb5MediumList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_medium_list_get_count()

int mb5_medium_list_get_count | ( | Mb5MediumList | List | ) |

Parameters

  List | List to use

## ◆ mb5_medium_list_get_offset()

int mb5_medium_list_get_offset | ( | Mb5MediumList | List | ) |

Parameters

  List | List to use

## ◆ mb5_medium_list_get_trackcount()

int mb5_medium_list_get_trackcount | ( | Mb5MediumList | List | ) |

See also
  MusicBrainz5::CMedium::TrackCount

Parameters

  List | List to use

Returns
  Returned value

## ◆ mb5_medium_list_item()

Mb5Medium mb5_medium_list_item | ( | Mb5MediumList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Medium object.

## ◆ mb5_medium_list_size()

int mb5_medium_list_size | ( | Mb5MediumList | List | ) |

Parameters

  List | List to use

## ◆ mb5_message_clone()

Mb5Message mb5_message_clone | ( | Mb5Message | Message | ) |

Parameters

  Message | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_message_delete()

void mb5_message_delete | ( | Mb5Message | Message | ) |

Parameters

  Message | Object to delete

## ◆ mb5_message_get_text()

int mb5_message_get_text | ( | Mb5Message | Message,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMessage::Text

Parameters

  Message | Mb5Message object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_metadata_clone()

Mb5Metadata mb5_metadata_clone | ( | Mb5Metadata | Metadata | ) |

Parameters

  Metadata | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_metadata_delete()

void mb5_metadata_delete | ( | Mb5Metadata | Metadata | ) |

Parameters

  Metadata | Object to delete

## ◆ mb5_metadata_get_annotationlist()

Mb5AnnotationList mb5_metadata_get_annotationlist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::AnnotationList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5AnnotationList object

## ◆ mb5_metadata_get_artist()

Mb5Artist mb5_metadata_get_artist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Artist

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Artist object

## ◆ mb5_metadata_get_artistlist()

Mb5ArtistList mb5_metadata_get_artistlist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ArtistList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ArtistList object

## ◆ mb5_metadata_get_cdstub()

Mb5CDStub mb5_metadata_get_cdstub | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::CDStub

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5CDStub object

## ◆ mb5_metadata_get_cdstublist()

Mb5CDStubList mb5_metadata_get_cdstublist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::CDStubList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5CDStubList object

## ◆ mb5_metadata_get_collection()

Mb5Collection mb5_metadata_get_collection | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Collection

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Collection object

## ◆ mb5_metadata_get_collectionlist()

Mb5CollectionList mb5_metadata_get_collectionlist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::CollectionList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5CollectionList object

## ◆ mb5_metadata_get_created()

int mb5_metadata_get_created | ( | Mb5Metadata | Metadata,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMetadata::Created

Parameters

  Metadata | Mb5Metadata object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_metadata_get_disc()

Mb5Disc mb5_metadata_get_disc | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Disc

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Disc object

## ◆ mb5_metadata_get_freedbdisclist()

Mb5FreeDBDiscList mb5_metadata_get_freedbdisclist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::FreeDBDiscList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5FreeDBDiscList object

## ◆ mb5_metadata_get_generator()

int mb5_metadata_get_generator | ( | Mb5Metadata | Metadata,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMetadata::Generator

Parameters

  Metadata | Mb5Metadata object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_metadata_get_isrc()

Mb5ISRC mb5_metadata_get_isrc | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ISRC

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ISRC object

## ◆ mb5_metadata_get_isrclist()

Mb5ISRCList mb5_metadata_get_isrclist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ISRCList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ISRCList object

## ◆ mb5_metadata_get_label()

Mb5Label mb5_metadata_get_label | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Label

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Label object

## ◆ mb5_metadata_get_labelinfolist()

Mb5LabelInfoList mb5_metadata_get_labelinfolist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::LabelInfoList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5LabelInfoList object

## ◆ mb5_metadata_get_labellist()

Mb5LabelList mb5_metadata_get_labellist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::LabelList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5LabelList object

## ◆ mb5_metadata_get_message()

Mb5Message mb5_metadata_get_message | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Message

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Message object

## ◆ mb5_metadata_get_puid()

Mb5PUID mb5_metadata_get_puid | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::PUID

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5PUID object

## ◆ mb5_metadata_get_rating()

Mb5Rating mb5_metadata_get_rating | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Rating

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Rating object

## ◆ mb5_metadata_get_recording()

Mb5Recording mb5_metadata_get_recording | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Recording

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Recording object

## ◆ mb5_metadata_get_recordinglist()

Mb5RecordingList mb5_metadata_get_recordinglist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::RecordingList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5RecordingList object

## ◆ mb5_metadata_get_release()

Mb5Release mb5_metadata_get_release | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Release

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Release object

## ◆ mb5_metadata_get_releasegroup()

Mb5ReleaseGroup mb5_metadata_get_releasegroup | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ReleaseGroup

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ReleaseGroup object

## ◆ mb5_metadata_get_releasegrouplist()

Mb5ReleaseGroupList mb5_metadata_get_releasegrouplist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ReleaseGroupList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ReleaseGroupList object

## ◆ mb5_metadata_get_releaselist()

Mb5ReleaseList mb5_metadata_get_releaselist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::ReleaseList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5ReleaseList object

## ◆ mb5_metadata_get_taglist()

Mb5TagList mb5_metadata_get_taglist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::TagList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5TagList object

## ◆ mb5_metadata_get_userrating()

Mb5UserRating mb5_metadata_get_userrating | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::UserRating

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5UserRating object

## ◆ mb5_metadata_get_usertaglist()

Mb5UserTagList mb5_metadata_get_usertaglist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::UserTagList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5UserTagList object

## ◆ mb5_metadata_get_work()

Mb5Work mb5_metadata_get_work | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::Work

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5Work object

## ◆ mb5_metadata_get_worklist()

Mb5WorkList mb5_metadata_get_worklist | ( | Mb5Metadata | Metadata | ) |

See also
  MusicBrainz5::CMetadata::WorkList

Parameters

  Metadata | Mb5Metadata object

Returns
  Mb5WorkList object

## ◆ mb5_metadata_get_xmlns()

int mb5_metadata_get_xmlns | ( | Mb5Metadata | Metadata,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMetadata::XMLNS

Parameters

  Metadata | Mb5Metadata object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_metadata_get_xmlnsext()

int mb5_metadata_get_xmlnsext | ( | Mb5Metadata | Metadata,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CMetadata::XMLNSExt

Parameters

  Metadata | Mb5Metadata object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_namecredit_clone()

Mb5NameCredit mb5_namecredit_clone | ( | Mb5NameCredit | NameCredit | ) |

Parameters

  NameCredit | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_namecredit_delete()

void mb5_namecredit_delete | ( | Mb5NameCredit | NameCredit | ) |

Parameters

  NameCredit | Object to delete

## ◆ mb5_namecredit_get_artist()

Mb5Artist mb5_namecredit_get_artist | ( | Mb5NameCredit | NameCredit | ) |

See also
  MusicBrainz5::CNameCredit::Artist

Parameters

  NameCredit | Mb5NameCredit object

Returns
  Mb5Artist object

## ◆ mb5_namecredit_get_joinphrase()

int mb5_namecredit_get_joinphrase | ( | Mb5NameCredit | NameCredit,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CNameCredit::JoinPhrase

Parameters

  NameCredit | Mb5NameCredit object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_namecredit_get_name()

int mb5_namecredit_get_name | ( | Mb5NameCredit | NameCredit,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CNameCredit::Name

Parameters

  NameCredit | Mb5NameCredit object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_namecredit_list_clone()

Mb5NameCreditList mb5_namecredit_list_clone | ( | Mb5NameCreditList | NameCreditList | ) |

Parameters

  NameCreditList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_namecredit_list_delete()

void mb5_namecredit_list_delete | ( | Mb5NameCreditList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_namecredit_list_get_count()

int mb5_namecredit_list_get_count | ( | Mb5NameCreditList | List | ) |

Parameters

  List | List to use

## ◆ mb5_namecredit_list_get_offset()

int mb5_namecredit_list_get_offset | ( | Mb5NameCreditList | List | ) |

Parameters

  List | List to use

## ◆ mb5_namecredit_list_item()

Mb5NameCredit mb5_namecredit_list_item | ( | Mb5NameCreditList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5NameCredit object.

## ◆ mb5_namecredit_list_size()

int mb5_namecredit_list_size | ( | Mb5NameCreditList | List | ) |

Parameters

  List | List to use

## ◆ mb5_nonmbtrack_clone()

Mb5NonMBTrack mb5_nonmbtrack_clone | ( | Mb5NonMBTrack | NonMBTrack | ) |

Parameters

  NonMBTrack | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_nonmbtrack_delete()

void mb5_nonmbtrack_delete | ( | Mb5NonMBTrack | NonMBTrack | ) |

Parameters

  NonMBTrack | Object to delete

## ◆ mb5_nonmbtrack_get_artist()

int mb5_nonmbtrack_get_artist | ( | Mb5NonMBTrack | NonMBTrack,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CNonMBTrack::Artist

Parameters

  NonMBTrack | Mb5NonMBTrack object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_nonmbtrack_get_length()

int mb5_nonmbtrack_get_length | ( | Mb5NonMBTrack | NonMBTrack | ) |

See also
  MusicBrainz5::CNonMBTrack::Length

Parameters

  NonMBTrack | Mb5NonMBTrack object

Returns
  Returned value

## ◆ mb5_nonmbtrack_get_title()

int mb5_nonmbtrack_get_title | ( | Mb5NonMBTrack | NonMBTrack,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CNonMBTrack::Title

Parameters

  NonMBTrack | Mb5NonMBTrack object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_nonmbtrack_list_clone()

Mb5NonMBTrackList mb5_nonmbtrack_list_clone | ( | Mb5NonMBTrackList | NonMBTrackList | ) |

Parameters

  NonMBTrackList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_nonmbtrack_list_delete()

void mb5_nonmbtrack_list_delete | ( | Mb5NonMBTrackList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_nonmbtrack_list_get_count()

int mb5_nonmbtrack_list_get_count | ( | Mb5NonMBTrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_nonmbtrack_list_get_offset()

int mb5_nonmbtrack_list_get_offset | ( | Mb5NonMBTrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_nonmbtrack_list_item()

Mb5NonMBTrack mb5_nonmbtrack_list_item | ( | Mb5NonMBTrackList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5NonMBTrack object.

## ◆ mb5_nonmbtrack_list_size()

int mb5_nonmbtrack_list_size | ( | Mb5NonMBTrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_puid_clone()

Mb5PUID mb5_puid_clone | ( | Mb5PUID | PUID | ) |

Parameters

  PUID | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_puid_delete()

void mb5_puid_delete | ( | Mb5PUID | PUID | ) |

Parameters

  PUID | Object to delete

## ◆ mb5_puid_get_id()

int mb5_puid_get_id | ( | Mb5PUID | PUID,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CPUID::ID

Parameters

  PUID | Mb5PUID object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_puid_get_recordinglist()

Mb5RecordingList mb5_puid_get_recordinglist | ( | Mb5PUID | PUID | ) |

See also
  MusicBrainz5::CPUID::RecordingList

Parameters

  PUID | Mb5PUID object

Returns
  Mb5RecordingList object

## ◆ mb5_puid_list_clone()

Mb5PUIDList mb5_puid_list_clone | ( | Mb5PUIDList | PUIDList | ) |

Parameters

  PUIDList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_puid_list_delete()

void mb5_puid_list_delete | ( | Mb5PUIDList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_puid_list_get_count()

int mb5_puid_list_get_count | ( | Mb5PUIDList | List | ) |

Parameters

  List | List to use

## ◆ mb5_puid_list_get_offset()

int mb5_puid_list_get_offset | ( | Mb5PUIDList | List | ) |

Parameters

  List | List to use

## ◆ mb5_puid_list_item()

Mb5PUID mb5_puid_list_item | ( | Mb5PUIDList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5PUID object.

## ◆ mb5_puid_list_size()

int mb5_puid_list_size | ( | Mb5PUIDList | List | ) |

Parameters

  List | List to use

## ◆ mb5_query_add_collection_entries()

unsigned char mb5_query_add_collection_entries | ( | Mb5Query | Query,
|  | const char * | Collection,
|  | int | NumEntries,
|  | const char ** | Entries )

See also
  MusicBrainz5::CQuery::AddCollectionEntries

Parameters

  Query | Mb5Query object
  Collection | ID of collection to add releases to
  NumEntries | The number of entries to add
  Entries | Array of strings of release IDs to add

Returns
  0 on failure, 1 on success

## ◆ mb5_query_clone()

Mb5Query mb5_query_clone | ( | Mb5Query | Query | ) |

Parameters

  Query | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_query_delete()

void mb5_query_delete | ( | Mb5Query | Query | ) |

Parameters

  Query | Object to delete

## ◆ mb5_query_delete_collection_entries()

unsigned char mb5_query_delete_collection_entries | ( | Mb5Query | Query,
|  | const char * | Collection,
|  | int | NumEntries,
|  | const char ** | Entries )

See also
  MusicBrainz5::CQuery::AddCollectionEntries

Parameters

  Query | Mb5Query object
  Collection | ID of collection to delete releases from
  NumEntries | The number of entries to delete
  Entries | Array of strings of release IDs to delete

Returns
  0 on failure, 1 on success

## ◆ mb5_query_get_lasterrormessage()

int mb5_query_get_lasterrormessage | ( | Mb5Query | Query,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CQuery::LastErrorMessage

Parameters

  Query | Mb5Query object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_query_get_lasthttpcode()

int mb5_query_get_lasthttpcode | ( | Mb5Query | Query | ) |

See also
  MusicBrainz5::CQuery::LastHTTPCode

Parameters

  Query | Mb5Query object

Returns
  Returned value

## ◆ mb5_query_get_lastresult()

tQueryResult mb5_query_get_lastresult | ( | Mb5Query | Query | ) |

See also
  MusicBrainz5::CQuery::LastResult

Parameters

  Query | Mb5Query object

Returns
  Last query result code

## ◆ mb5_query_get_version()

int mb5_query_get_version | ( | Mb5Query | Query,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CQuery::Version

Parameters

  Query | Mb5Query object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_query_lookup_discid()

Mb5ReleaseList mb5_query_lookup_discid | ( | Mb5Query | Query,
|  | const char * | DiscID )

See also
  MusicBrainz5::CQuery::LookupDiscID

Parameters

  Query | Mb5Query object
  DiscID | DiscID to lookup

Returns
  A Mb5ReleaseList object. This object must be deleted once finished with.

## ◆ mb5_query_lookup_release()

Mb5Release mb5_query_lookup_release | ( | Mb5Query | Query,
|  | const char * | Release )

See also
  MusicBrainz5::CQuery::LookupRelease

Parameters

  Query | Mb5Query object
  Release | Release to return information for

Returns
  A Mb5Release object. This object must be deleted once finished with.

## ◆ mb5_query_new()

Mb5Query mb5_query_new | ( | const char * | UserAgent,
|  | const char * | Server,
|  | int | Port )

See also
  MusicBrainz5::CQuery::CQuery

Parameters

  UserAgent | User agent to be passed to submissions
  Server | Server to use, pass null to use the default server
  Port | Port to use, pass 0 to use the default port

Returns
  The newly created Mb5Query object. This object must be deleted once finished with.

## ◆ mb5_query_query()

Mb5Metadata mb5_query_query | ( | Mb5Query | Query,
|  | const char * | Entity,
|  | const char * | ID,
|  | const char * | Resource,
|  | int | NumParams,
|  | char ** | ParamNames,
|  | char ** | ParamValues )

See also
  MusicBrainz5::CQuery::Query

Parameters

  Query | Mb5Query object
  Entity | The entity to query
  ID | The ID to query
  Resource | The resource to query
  NumParams | The number of parameters in the following arrays
  ParamNames | Array of strings containing parameter names
  ParamValues | Array of space seperated parameter values

Returns
  A Mb5Metadata object. This object must be deleted once finished with.

## ◆ mb5_query_set_password()

void mb5_query_set_password | ( | Mb5Query | Query,
|  | const char * | Password )

See also
  MusicBrainz5::CQuery::SetPassword

Parameters

  Query | Mb5Query object
  Password | Password to use

## ◆ mb5_query_set_proxyhost()

void mb5_query_set_proxyhost | ( | Mb5Query | Query,
|  | const char * | ProxyHost )

See also
  MusicBrainz5::CQuery::SetProxyHost

Parameters

  Query | Mb5Query object
  ProxyHost | Proxy server to use

## ◆ mb5_query_set_proxypassword()

void mb5_query_set_proxypassword | ( | Mb5Query | Query,
|  | const char * | ProxyPassword )

See also
  MusicBrainz5::CQuery::SetProxyPassword

Parameters

  Query | Mb5Query object
  ProxyPassword | Password to use

## ◆ mb5_query_set_proxyport()

void mb5_query_set_proxyport | ( | Mb5Query | Query,
|  | int | ProxyPort )

See also
  MusicBrainz5::CQuery::SetProxyPort

Parameters

  Query | Mb5Query object
  ProxyPort | Port to use on proxy server

## ◆ mb5_query_set_proxyusername()

void mb5_query_set_proxyusername | ( | Mb5Query | Query,
|  | const char * | ProxyUserName )

See also
  MusicBrainz5::CQuery::SetProxyUserName

Parameters

  Query | Mb5Query object
  ProxyUserName | User name to use

## ◆ mb5_query_set_username()

void mb5_query_set_username | ( | Mb5Query | Query,
|  | const char * | UserName )

See also
  MusicBrainz5::CQuery::SetUserName

Parameters

  Query | Mb5Query object
  UserName | Username to use

## ◆ mb5_rating_clone()

Mb5Rating mb5_rating_clone | ( | Mb5Rating | Rating | ) |

Parameters

  Rating | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_rating_delete()

void mb5_rating_delete | ( | Mb5Rating | Rating | ) |

Parameters

  Rating | Object to delete

## ◆ mb5_rating_get_rating()

double mb5_rating_get_rating | ( | Mb5Rating | Rating | ) |

See also
  MusicBrainz5::CRating::Rating

Parameters

  Rating | Mb5Rating object

Returns
  Returned value

## ◆ mb5_rating_get_votescount()

int mb5_rating_get_votescount | ( | Mb5Rating | Rating | ) |

See also
  MusicBrainz5::CRating::VotesCount

Parameters

  Rating | Mb5Rating object

Returns
  Returned value

## ◆ mb5_recording_clone()

Mb5Recording mb5_recording_clone | ( | Mb5Recording | Recording | ) |

Parameters

  Recording | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_recording_delete()

void mb5_recording_delete | ( | Mb5Recording | Recording | ) |

Parameters

  Recording | Object to delete

## ◆ mb5_recording_get_artistcredit()

Mb5ArtistCredit mb5_recording_get_artistcredit | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::ArtistCredit

Parameters

  Recording | Mb5Recording object

Returns
  Mb5ArtistCredit object

## ◆ mb5_recording_get_disambiguation()

int mb5_recording_get_disambiguation | ( | Mb5Recording | Recording,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRecording::Disambiguation

Parameters

  Recording | Mb5Recording object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_recording_get_id()

int mb5_recording_get_id | ( | Mb5Recording | Recording,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRecording::ID

Parameters

  Recording | Mb5Recording object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_recording_get_isrclist()

Mb5ISRCList mb5_recording_get_isrclist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::ISRCList

Parameters

  Recording | Mb5Recording object

Returns
  Mb5ISRCList object

## ◆ mb5_recording_get_length()

int mb5_recording_get_length | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::Length

Parameters

  Recording | Mb5Recording object

Returns
  Returned value

## ◆ mb5_recording_get_puidlist()

Mb5PUIDList mb5_recording_get_puidlist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::PUIDList

Parameters

  Recording | Mb5Recording object

Returns
  Mb5PUIDList object

## ◆ mb5_recording_get_rating()

Mb5Rating mb5_recording_get_rating | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::Rating

Parameters

  Recording | Mb5Recording object

Returns
  Mb5Rating object

## ◆ mb5_recording_get_relationlistlist()

Mb5RelationListList mb5_recording_get_relationlistlist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::RelationListList

Parameters

  Recording | Mb5RecordingList object

Returns
  Mb5RelationListList object

## ◆ mb5_recording_get_releaselist()

Mb5ReleaseList mb5_recording_get_releaselist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::ReleaseList

Parameters

  Recording | Mb5Recording object

Returns
  Mb5ReleaseList object

## ◆ mb5_recording_get_taglist()

Mb5TagList mb5_recording_get_taglist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::TagList

Parameters

  Recording | Mb5Recording object

Returns
  Mb5TagList object

## ◆ mb5_recording_get_title()

int mb5_recording_get_title | ( | Mb5Recording | Recording,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRecording::Title

Parameters

  Recording | Mb5Recording object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_recording_get_userrating()

Mb5UserRating mb5_recording_get_userrating | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::UserRating

Parameters

  Recording | Mb5Recording object

Returns
  Mb5UserRating object

## ◆ mb5_recording_get_usertaglist()

Mb5UserTagList mb5_recording_get_usertaglist | ( | Mb5Recording | Recording | ) |

See also
  MusicBrainz5::CRecording::UserTagList

Parameters

  Recording | Mb5Recording object

Returns
  Mb5UserTagList object

## ◆ mb5_recording_list_clone()

Mb5RecordingList mb5_recording_list_clone | ( | Mb5RecordingList | RecordingList | ) |

Parameters

  RecordingList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_recording_list_delete()

void mb5_recording_list_delete | ( | Mb5RecordingList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_recording_list_get_count()

int mb5_recording_list_get_count | ( | Mb5RecordingList | List | ) |

Parameters

  List | List to use

## ◆ mb5_recording_list_get_offset()

int mb5_recording_list_get_offset | ( | Mb5RecordingList | List | ) |

Parameters

  List | List to use

## ◆ mb5_recording_list_item()

Mb5Recording mb5_recording_list_item | ( | Mb5RecordingList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Recording object.

## ◆ mb5_recording_list_size()

int mb5_recording_list_size | ( | Mb5RecordingList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relation_clone()

Mb5Relation mb5_relation_clone | ( | Mb5Relation | Relation | ) |

Parameters

  Relation | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_relation_delete()

void mb5_relation_delete | ( | Mb5Relation | Relation | ) |

Parameters

  Relation | Object to delete

## ◆ mb5_relation_get_artist()

Mb5Artist mb5_relation_get_artist | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::Artist

Parameters

  Relation | Mb5Relation object

Returns
  Mb5Artist object

## ◆ mb5_relation_get_attributelist()

Mb5AttributeList mb5_relation_get_attributelist | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::AttributeList

Parameters

  Relation | Mb5Relation object

Returns
  Mb5AttributeList object

## ◆ mb5_relation_get_begin()

int mb5_relation_get_begin | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::Begin

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_direction()

int mb5_relation_get_direction | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::Direction

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_end()

int mb5_relation_get_end | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::End

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_ended()

int mb5_relation_get_ended | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::Ended

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_label()

Mb5Label mb5_relation_get_label | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::Label

Parameters

  Relation | Mb5Relation object

Returns
  Mb5Label object

## ◆ mb5_relation_get_recording()

Mb5Recording mb5_relation_get_recording | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::Recording

Parameters

  Relation | Mb5Relation object

Returns
  Mb5Recording object

## ◆ mb5_relation_get_release()

Mb5Release mb5_relation_get_release | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::Release

Parameters

  Relation | Mb5Relation object

Returns
  Mb5Release object

## ◆ mb5_relation_get_releasegroup()

Mb5ReleaseGroup mb5_relation_get_releasegroup | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::ReleaseGroup

Parameters

  Relation | Mb5Relation object

Returns
  Mb5ReleaseGroup object

## ◆ mb5_relation_get_target()

int mb5_relation_get_target | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::Target

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_type()

int mb5_relation_get_type | ( | Mb5Relation | Relation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::Type

Parameters

  Relation | Mb5Relation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_get_work()

Mb5Work mb5_relation_get_work | ( | Mb5Relation | Relation | ) |

See also
  MusicBrainz5::CRelation::Work

Parameters

  Relation | Mb5Relation object

Returns
  Mb5Work object

## ◆ mb5_relation_list_clone()

Mb5RelationList mb5_relation_list_clone | ( | Mb5RelationList | RelationList | ) |

Parameters

  RelationList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_relation_list_delete()

void mb5_relation_list_delete | ( | Mb5RelationList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_relation_list_get_count()

int mb5_relation_list_get_count | ( | Mb5RelationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relation_list_get_offset()

int mb5_relation_list_get_offset | ( | Mb5RelationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relation_list_get_targettype()

int mb5_relation_list_get_targettype | ( | Mb5RelationList | List,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelation::TargetType

Parameters

  List | List to use
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_relation_list_item()

Mb5Relation mb5_relation_list_item | ( | Mb5RelationList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Relation object.

## ◆ mb5_relation_list_size()

int mb5_relation_list_size | ( | Mb5RelationList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relationlist_list_clone()

Mb5RelationListList mb5_relationlist_list_clone | ( | Mb5RelationListList | RelationListList | ) |

Parameters

  RelationListList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_relationlist_list_delete()

void mb5_relationlist_list_delete | ( | Mb5RelationListList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_relationlist_list_get_count()

int mb5_relationlist_list_get_count | ( | Mb5RelationListList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relationlist_list_get_offset()

int mb5_relationlist_list_get_offset | ( | Mb5RelationListList | List | ) |

Parameters

  List | List to use

## ◆ mb5_relationlist_list_item()

Mb5RelationList mb5_relationlist_list_item | ( | Mb5RelationListList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5RelationList object.

## ◆ mb5_relationlist_list_size()

int mb5_relationlist_list_size | ( | Mb5RelationListList | List | ) |

Parameters

  List | List to use

## ◆ mb5_release_clone()

Mb5Release mb5_release_clone | ( | Mb5Release | Release | ) |

Parameters

  Release | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_release_delete()

void mb5_release_delete | ( | Mb5Release | Release | ) |

Parameters

  Release | Object to delete

## ◆ mb5_release_get_artistcredit()

Mb5ArtistCredit mb5_release_get_artistcredit | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::ArtistCredit

Parameters

  Release | Mb5Release object

Returns
  Mb5ArtistCredit object

## ◆ mb5_release_get_asin()

int mb5_release_get_asin | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::ASIN

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_barcode()

int mb5_release_get_barcode | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Barcode

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_collectionlist()

Mb5CollectionList mb5_release_get_collectionlist | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::CollectionList

Parameters

  Release | Mb5Release object

Returns
  Mb5CollectionList object

## ◆ mb5_release_get_country()

int mb5_release_get_country | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Country

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_date()

int mb5_release_get_date | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Date

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_disambiguation()

int mb5_release_get_disambiguation | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Disambiguation

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_id()

int mb5_release_get_id | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::ID

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_labelinfolist()

Mb5LabelInfoList mb5_release_get_labelinfolist | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::LabelInfoList

Parameters

  Release | Mb5Release object

Returns
  Mb5LabelInfoList object

## ◆ mb5_release_get_mediumlist()

Mb5MediumList mb5_release_get_mediumlist | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::MediumList

Parameters

  Release | Mb5Release object

Returns
  Mb5MediumList object

## ◆ mb5_release_get_packaging()

int mb5_release_get_packaging | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Packaging

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_quality()

int mb5_release_get_quality | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Quality

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_relationlistlist()

Mb5RelationListList mb5_release_get_relationlistlist | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::RelationListList

Parameters

  Release | Mb5ReleaseList object

Returns
  Mb5RelationListList object

## ◆ mb5_release_get_releasegroup()

Mb5ReleaseGroup mb5_release_get_releasegroup | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::ReleaseGroup

Parameters

  Release | Mb5Release object

Returns
  Mb5ReleaseGroup object

## ◆ mb5_release_get_status()

int mb5_release_get_status | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Status

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_get_textrepresentation()

Mb5TextRepresentation mb5_release_get_textrepresentation | ( | Mb5Release | Release | ) |

See also
  MusicBrainz5::CRelease::TextRepresentation

Parameters

  Release | Mb5Release object

Returns
  Mb5TextRepresentation object

## ◆ mb5_release_get_title()

int mb5_release_get_title | ( | Mb5Release | Release,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CRelease::Title

Parameters

  Release | Mb5Release object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_release_list_clone()

Mb5ReleaseList mb5_release_list_clone | ( | Mb5ReleaseList | ReleaseList | ) |

Parameters

  ReleaseList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_release_list_delete()

void mb5_release_list_delete | ( | Mb5ReleaseList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_release_list_get_count()

int mb5_release_list_get_count | ( | Mb5ReleaseList | List | ) |

Parameters

  List | List to use

## ◆ mb5_release_list_get_offset()

int mb5_release_list_get_offset | ( | Mb5ReleaseList | List | ) |

Parameters

  List | List to use

## ◆ mb5_release_list_item()

Mb5Release mb5_release_list_item | ( | Mb5ReleaseList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Release object.

## ◆ mb5_release_list_size()

int mb5_release_list_size | ( | Mb5ReleaseList | List | ) |

Parameters

  List | List to use

## ◆ mb5_release_media_matching_discid()

Mb5MediumList mb5_release_media_matching_discid | ( | Mb5Release | Release,
|  | const char * | DiscID )

See also
  MusicBrainz5::CRelease::MediaMatchingDiscID

Parameters

  Release | Mb5Release object
  DiscID | DiscID to match

Returns
  Mb5MediumList. This object must be deleted once finished with.

## ◆ mb5_releasegroup_clone()

Mb5ReleaseGroup mb5_releasegroup_clone | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

Parameters

  ReleaseGroup | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_releasegroup_delete()

void mb5_releasegroup_delete | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

Parameters

  ReleaseGroup | Object to delete

## ◆ mb5_releasegroup_get_artistcredit()

Mb5ArtistCredit mb5_releasegroup_get_artistcredit | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::ArtistCredit

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5ArtistCredit object

## ◆ mb5_releasegroup_get_disambiguation()

int mb5_releasegroup_get_disambiguation | ( | Mb5ReleaseGroup | ReleaseGroup,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CReleaseGroup::Disambiguation

Parameters

  ReleaseGroup | Mb5ReleaseGroup object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_releasegroup_get_firstreleasedate()

int mb5_releasegroup_get_firstreleasedate | ( | Mb5ReleaseGroup | ReleaseGroup,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CReleaseGroup::FirstReleaseDate

Parameters

  ReleaseGroup | Mb5ReleaseGroup object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_releasegroup_get_id()

int mb5_releasegroup_get_id | ( | Mb5ReleaseGroup | ReleaseGroup,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CReleaseGroup::ID

Parameters

  ReleaseGroup | Mb5ReleaseGroup object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_releasegroup_get_primarytype()

int mb5_releasegroup_get_primarytype | ( | Mb5ReleaseGroup | ReleaseGroup,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CReleaseGroup::PrimaryType

Parameters

  ReleaseGroup | Mb5ReleaseGroup object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_releasegroup_get_rating()

Mb5Rating mb5_releasegroup_get_rating | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::Rating

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5Rating object

## ◆ mb5_releasegroup_get_relationlistlist()

Mb5RelationListList mb5_releasegroup_get_relationlistlist | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::RelationListList

Parameters

  ReleaseGroup | Mb5ReleaseGroupList object

Returns
  Mb5RelationListList object

## ◆ mb5_releasegroup_get_releaselist()

Mb5ReleaseList mb5_releasegroup_get_releaselist | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::ReleaseList

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5ReleaseList object

## ◆ mb5_releasegroup_get_secondarytypelist()

Mb5SecondaryTypeList mb5_releasegroup_get_secondarytypelist | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::SecondaryTypeList

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5SecondaryTypeList object

## ◆ mb5_releasegroup_get_taglist()

Mb5TagList mb5_releasegroup_get_taglist | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::TagList

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5TagList object

## ◆ mb5_releasegroup_get_title()

int mb5_releasegroup_get_title | ( | Mb5ReleaseGroup | ReleaseGroup,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CReleaseGroup::Title

Parameters

  ReleaseGroup | Mb5ReleaseGroup object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_releasegroup_get_userrating()

Mb5UserRating mb5_releasegroup_get_userrating | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::UserRating

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5UserRating object

## ◆ mb5_releasegroup_get_usertaglist()

Mb5UserTagList mb5_releasegroup_get_usertaglist | ( | Mb5ReleaseGroup | ReleaseGroup | ) |

See also
  MusicBrainz5::CReleaseGroup::UserTagList

Parameters

  ReleaseGroup | Mb5ReleaseGroup object

Returns
  Mb5UserTagList object

## ◆ mb5_releasegroup_list_clone()

Mb5ReleaseGroupList mb5_releasegroup_list_clone | ( | Mb5ReleaseGroupList | ReleaseGroupList | ) |

Parameters

  ReleaseGroupList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_releasegroup_list_delete()

void mb5_releasegroup_list_delete | ( | Mb5ReleaseGroupList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_releasegroup_list_get_count()

int mb5_releasegroup_list_get_count | ( | Mb5ReleaseGroupList | List | ) |

Parameters

  List | List to use

## ◆ mb5_releasegroup_list_get_offset()

int mb5_releasegroup_list_get_offset | ( | Mb5ReleaseGroupList | List | ) |

Parameters

  List | List to use

## ◆ mb5_releasegroup_list_item()

Mb5ReleaseGroup mb5_releasegroup_list_item | ( | Mb5ReleaseGroupList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5ReleaseGroup object.

## ◆ mb5_releasegroup_list_size()

int mb5_releasegroup_list_size | ( | Mb5ReleaseGroupList | List | ) |

Parameters

  List | List to use

## ◆ mb5_secondarytype_clone()

Mb5SecondaryType mb5_secondarytype_clone | ( | Mb5SecondaryType | SecondaryType | ) |

Parameters

  SecondaryType | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_secondarytype_delete()

void mb5_secondarytype_delete | ( | Mb5SecondaryType | SecondaryType | ) |

Parameters

  SecondaryType | Object to delete

## ◆ mb5_secondarytype_get_secondarytype()

int mb5_secondarytype_get_secondarytype | ( | Mb5SecondaryType | SecondaryType,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CSecondaryType::SecondaryType

Parameters

  SecondaryType | Mb5SecondaryType object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_secondarytype_list_clone()

Mb5SecondaryTypeList mb5_secondarytype_list_clone | ( | Mb5SecondaryTypeList | SecondaryTypeList | ) |

Parameters

  SecondaryTypeList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_secondarytype_list_delete()

void mb5_secondarytype_list_delete | ( | Mb5SecondaryTypeList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_secondarytype_list_get_count()

int mb5_secondarytype_list_get_count | ( | Mb5SecondaryTypeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_secondarytype_list_get_offset()

int mb5_secondarytype_list_get_offset | ( | Mb5SecondaryTypeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_secondarytype_list_item()

Mb5SecondaryType mb5_secondarytype_list_item | ( | Mb5SecondaryTypeList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5SecondaryType object.

## ◆ mb5_secondarytype_list_size()

int mb5_secondarytype_list_size | ( | Mb5SecondaryTypeList | List | ) |

Parameters

  List | List to use

## ◆ mb5_tag_clone()

Mb5Tag mb5_tag_clone | ( | Mb5Tag | Tag | ) |

Parameters

  Tag | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_tag_delete()

void mb5_tag_delete | ( | Mb5Tag | Tag | ) |

Parameters

  Tag | Object to delete

## ◆ mb5_tag_get_count()

int mb5_tag_get_count | ( | Mb5Tag | Tag | ) |

See also
  MusicBrainz5::CTag::Count

Parameters

  Tag | Mb5Tag object

Returns
  Returned value

## ◆ mb5_tag_get_name()

int mb5_tag_get_name | ( | Mb5Tag | Tag,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CTag::Name

Parameters

  Tag | Mb5Tag object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_tag_list_clone()

Mb5TagList mb5_tag_list_clone | ( | Mb5TagList | TagList | ) |

Parameters

  TagList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_tag_list_delete()

void mb5_tag_list_delete | ( | Mb5TagList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_tag_list_get_count()

int mb5_tag_list_get_count | ( | Mb5TagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_tag_list_get_offset()

int mb5_tag_list_get_offset | ( | Mb5TagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_tag_list_item()

Mb5Tag mb5_tag_list_item | ( | Mb5TagList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Tag object.

## ◆ mb5_tag_list_size()

int mb5_tag_list_size | ( | Mb5TagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_textrepresentation_clone()

Mb5TextRepresentation mb5_textrepresentation_clone | ( | Mb5TextRepresentation | TextRepresentation | ) |

Parameters

  TextRepresentation | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_textrepresentation_delete()

void mb5_textrepresentation_delete | ( | Mb5TextRepresentation | TextRepresentation | ) |

Parameters

  TextRepresentation | Object to delete

## ◆ mb5_textrepresentation_get_language()

int mb5_textrepresentation_get_language | ( | Mb5TextRepresentation | TextRepresentation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CTextRepresentation::Language

Parameters

  TextRepresentation | Mb5TextRepresentation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_textrepresentation_get_script()

int mb5_textrepresentation_get_script | ( | Mb5TextRepresentation | TextRepresentation,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CTextRepresentation::Script

Parameters

  TextRepresentation | Mb5TextRepresentation object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_track_clone()

Mb5Track mb5_track_clone | ( | Mb5Track | Track | ) |

Parameters

  Track | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_track_delete()

void mb5_track_delete | ( | Mb5Track | Track | ) |

Parameters

  Track | Object to delete

## ◆ mb5_track_get_artistcredit()

Mb5ArtistCredit mb5_track_get_artistcredit | ( | Mb5Track | Track | ) |

See also
  MusicBrainz5::CTrack::ArtistCredit

Parameters

  Track | Mb5Track object

Returns
  Mb5ArtistCredit object

## ◆ mb5_track_get_length()

int mb5_track_get_length | ( | Mb5Track | Track | ) |

See also
  MusicBrainz5::CTrack::Length

Parameters

  Track | Mb5Track object

Returns
  Returned value

## ◆ mb5_track_get_number()

int mb5_track_get_number | ( | Mb5Track | Track,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CTrack::Number

Parameters

  Track | Mb5Track object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_track_get_position()

int mb5_track_get_position | ( | Mb5Track | Track | ) |

See also
  MusicBrainz5::CTrack::Position

Parameters

  Track | Mb5Track object

Returns
  Returned value

## ◆ mb5_track_get_recording()

Mb5Recording mb5_track_get_recording | ( | Mb5Track | Track | ) |

See also
  MusicBrainz5::CTrack::Recording

Parameters

  Track | Mb5Track object

Returns
  Mb5Recording object

## ◆ mb5_track_get_title()

int mb5_track_get_title | ( | Mb5Track | Track,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CTrack::Title

Parameters

  Track | Mb5Track object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_track_list_clone()

Mb5TrackList mb5_track_list_clone | ( | Mb5TrackList | TrackList | ) |

Parameters

  TrackList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_track_list_delete()

void mb5_track_list_delete | ( | Mb5TrackList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_track_list_get_count()

int mb5_track_list_get_count | ( | Mb5TrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_track_list_get_offset()

int mb5_track_list_get_offset | ( | Mb5TrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_track_list_item()

Mb5Track mb5_track_list_item | ( | Mb5TrackList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Track object.

## ◆ mb5_track_list_size()

int mb5_track_list_size | ( | Mb5TrackList | List | ) |

Parameters

  List | List to use

## ◆ mb5_userrating_clone()

Mb5UserRating mb5_userrating_clone | ( | Mb5UserRating | UserRating | ) |

Parameters

  UserRating | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_userrating_delete()

void mb5_userrating_delete | ( | Mb5UserRating | UserRating | ) |

Parameters

  UserRating | Object to delete

## ◆ mb5_userrating_get_userrating()

int mb5_userrating_get_userrating | ( | Mb5UserRating | UserRating | ) |

See also
  MusicBrainz5::CUserRating::UserRating

Parameters

  UserRating | Mb5UserRating object

Returns
  Returned value

## ◆ mb5_usertag_clone()

Mb5UserTag mb5_usertag_clone | ( | Mb5UserTag | UserTag | ) |

Parameters

  UserTag | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_usertag_delete()

void mb5_usertag_delete | ( | Mb5UserTag | UserTag | ) |

Parameters

  UserTag | Object to delete

## ◆ mb5_usertag_get_name()

int mb5_usertag_get_name | ( | Mb5UserTag | UserTag,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CUserTag::Name

Parameters

  UserTag | Mb5UserTag object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_usertag_list_clone()

Mb5UserTagList mb5_usertag_list_clone | ( | Mb5UserTagList | UserTagList | ) |

Parameters

  UserTagList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_usertag_list_delete()

void mb5_usertag_list_delete | ( | Mb5UserTagList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_usertag_list_get_count()

int mb5_usertag_list_get_count | ( | Mb5UserTagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_usertag_list_get_offset()

int mb5_usertag_list_get_offset | ( | Mb5UserTagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_usertag_list_item()

Mb5UserTag mb5_usertag_list_item | ( | Mb5UserTagList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5UserTag object.

## ◆ mb5_usertag_list_size()

int mb5_usertag_list_size | ( | Mb5UserTagList | List | ) |

Parameters

  List | List to use

## ◆ mb5_work_clone()

Mb5Work mb5_work_clone | ( | Mb5Work | Work | ) |

Parameters

  Work | Object to clone

Returns
  Cloned object. This object must be deleted once finished with.

## ◆ mb5_work_delete()

void mb5_work_delete | ( | Mb5Work | Work | ) |

Parameters

  Work | Object to delete

## ◆ mb5_work_get_aliaslist()

Mb5AliasList mb5_work_get_aliaslist | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::AliasList

Parameters

  Work | Mb5Work object

Returns
  Mb5AliasList object

## ◆ mb5_work_get_artistcredit()

Mb5ArtistCredit mb5_work_get_artistcredit | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::ArtistCredit

Parameters

  Work | Mb5Work object

Returns
  Mb5ArtistCredit object

## ◆ mb5_work_get_disambiguation()

int mb5_work_get_disambiguation | ( | Mb5Work | Work,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CWork::Disambiguation

Parameters

  Work | Mb5Work object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_work_get_id()

int mb5_work_get_id | ( | Mb5Work | Work,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CWork::ID

Parameters

  Work | Mb5Work object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_work_get_iswclist()

Mb5ISWCList mb5_work_get_iswclist | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::ISWCList

Parameters

  Work | Mb5WorkList object

Returns
  Mb5ISWCList object

## ◆ mb5_work_get_language()

int mb5_work_get_language | ( | Mb5Work | Work,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CWork::Language

Parameters

  Work | Mb5Work object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_work_get_rating()

Mb5Rating mb5_work_get_rating | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::Rating

Parameters

  Work | Mb5Work object

Returns
  Mb5Rating object

## ◆ mb5_work_get_relationlistlist()

Mb5RelationListList mb5_work_get_relationlistlist | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::RelationListList

Parameters

  Work | Mb5WorkList object

Returns
  Mb5RelationListList object

## ◆ mb5_work_get_taglist()

Mb5TagList mb5_work_get_taglist | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::TagList

Parameters

  Work | Mb5Work object

Returns
  Mb5TagList object

## ◆ mb5_work_get_title()

int mb5_work_get_title | ( | Mb5Work | Work,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CWork::Title

Parameters

  Work | Mb5Work object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_work_get_type()

int mb5_work_get_type | ( | Mb5Work | Work,
|  | char * | str,
|  | int | len )

See also
  MusicBrainz5::CWork::Type

Parameters

  Work | Mb5Work object
  str | Returned string
  len | Number of characters available in return string

Returns
  The number of characters in the string to copy (not including terminating NULL)

## ◆ mb5_work_get_userrating()

Mb5UserRating mb5_work_get_userrating | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::UserRating

Parameters

  Work | Mb5Work object

Returns
  Mb5UserRating object

## ◆ mb5_work_get_usertaglist()

Mb5UserTagList mb5_work_get_usertaglist | ( | Mb5Work | Work | ) |

See also
  MusicBrainz5::CWork::UserTagList

Parameters

  Work | Mb5Work object

Returns
  Mb5UserTagList object

## ◆ mb5_work_list_clone()

Mb5WorkList mb5_work_list_clone | ( | Mb5WorkList | WorkList | ) |

Parameters

  WorkList | Object to clone

Returns
  Cloned list. This list must be deleted once finished with.

## ◆ mb5_work_list_delete()

void mb5_work_list_delete | ( | Mb5WorkList | List | ) |

Parameters

  List | List to delete

## ◆ mb5_work_list_get_count()

int mb5_work_list_get_count | ( | Mb5WorkList | List | ) |

Parameters

  List | List to use

## ◆ mb5_work_list_get_offset()

int mb5_work_list_get_offset | ( | Mb5WorkList | List | ) |

Parameters

  List | List to use

## ◆ mb5_work_list_item()

Mb5Work mb5_work_list_item | ( | Mb5WorkList | List,
|  | int | Item )

Parameters

  List | List to use
  Item | Item number to return

Returns
  A Mb5Work object.

## ◆ mb5_work_list_size()

int mb5_work_list_size | ( | Mb5WorkList | List | ) |

Parameters

  List | List to use